--[[ 데이터 추가 방법

기본적으로 테이블을 추가하는 방법은...
가장 큰 분류는 대륙명칭으로 나뉩니다.
Babble-Zone-2.2 라이브러리를 사용하기 때문에 영문으로 표기합니다..
그 하위로 인스턴스와 각 지역이 나뉩니다...

인스턴스는 인스턴스 이름 -> 몹 이름 -> 드랍 아이템의 순서로 테이블이 진행됩니다.

예제)
["인스턴스 이름(영문) 추가적으로 인던 종류(-Hero를 붙이면 영웅 인던 |R을 붙이면 공격대 인던)과 테이블 순서(|숫자로 표시)"] = {
	["몹 이름(영문) 추가적으로 몬스터 종류(|B를 붙이면 보스몬스터, |N를 붙일 경우는 네임드)와 테이블 순서(|숫자로 표시)"] = {
		["필드번호"] = "아이템ID",
		.....
	},
},

이런식으로 추가할 수 있습니다.

단 순서를 지정하는 |숫자는 항상 맨 끝부분에 와야 합니다..

이름(영던인지여부)(|추가정보)(|테이블순서)의 순서입니다..

만약 특정한 설명이 필요한 아이템이라면..

WhoDropNote 테이블에 아이템 ID 별로 추가를 하면 됩니다.

예제)
WhoDropNote = {
	["아이템ID"] = "설명할 내용...",
	....
}

각 지역별로 나뉘는 분류에 대해서는..

예제)
["지역명(영문)"] = {
	["NPC이름(영문) 추가적으로 진영 표시(|H 나 |A, 중립에 대해서는 표시할 필요가 없습니다.)와 테이블 순서(|숫자로 표시)"] = {
		["퀘스트이름,또는 평판 상인의 경우에는 평판, 교환 아이템의 경우에는 교환가치(영문)"] = {
			["필드번호"] = "아이템ID",
			....
		},
	},
},

이렇게 추가할 수 있습니다.

인스턴스정보와 마찬가지로..

이름(추가정보-진영)(테이블순서)의 단계로 표시되어야 합니다.

지역별 구분이 한 단계가 더 많은 이유는.. 인스턴스는 ["Instance"]라는 다른 분류의 테이블로 구성되기 때문입니다.

로컬지원은..

우선적으로 로컬 파일 상에 해당 단어가 있는지 그 다음으로 Babble-Boss-2.2 다음으로 Babble-Zone-2.2, Babble-Quest-2.2를 

확인해서 로컬이 존재하는지 찾고.. 그 중에서 발견되지 않을 경우 본문 그대로를 사용합니다.

만약 Babble-Zone-2.2나 Babble-Boss-2.2, Babble-Quest-2.2에 등록되지 않은 문구의 경우에는 로컬에 추가하셔도 됩니다.


]]

local L = AceLibrary("AceLocale-2.2"):new("WhoDrop")
local BF = AceLibrary("Babble-Faction-2.2")
local BB = AceLibrary("Babble-Boss-2.2")
local BZ = AceLibrary("Babble-Zone-2.2")

WhoDropData = { };

WhoDropInstanceData = {
	["Eastern Kingdoms|1"] = { -- 동부 왕국|첫번재 표시
		["Instance|1"] = {  -- 인스턴스|첫번째 표시....
			["The Deadmines|A|1"] = {
				["Miner Johnson|N|1"] = {
					["1"] = "1930",
					["2"] = "5443",
				},
				["Marisa du'Paige|N|2"] = {
					["1"] = "4660",
					["2"] = "3019",
				},
				["Sneed|N|3"] = {
					["1"] = "5194",
					["2"] = "5195",
				},
				["Sneed's Shredder|N|4"] = {
					["1"] = "1937",
				},
				["Gilnid|N|5"] = {
					["1"] = "5199",
					["2"] = "1156",
				},
				["Mr~ Smite|N|6"] = {
					["1"] = "5192",
					["2"] = "5196",
					["3"] = "7230",
				},
				["Brainwashed Noble|N|7"] = {
					["1"] = "5967",
				},
				["Cookie|N|8"] = {
					["1"] = "5198",
					["2"] = "5197",
				},
				["Captain Greenskin|N|9"] = {
					["1"] = "5200",
					["2"] = "5201",
				},
				["Edwin VanCleef|B|10"] = {
					["1"] = "5202",
					["2"] = "5191",
					["3"] = "5193",
					["4"] = "10399",
				},
				["Trash|T"] = {
					["1"] = "1933",
					["2"] = "10402",
					["3"] = "10401",
					["4"] = "10403",
					["5"] = "10400",
				},
				["Quest Reward|T"] = {
					["1"] = "2074",
					["2"] = "6094",
					["3"] = "2089",
					["4"] = "2036",
					["5"] = "2037",
					["6"] = "7606",
					["7"] = "7607",
					["8"] = "1893",
					["9"] = "6087",
					["10"] = "2041",
					["11"] = "2042",
				},
			},
			["Shadowfang Keep|2"] = {
				["Razorclaw the Butcher|N|1"] = {
					["1"] = "6226",
					["2"] = "6633",
					["3"] = "1292",
				},
				["Baron Silverlaine|N|2"] = {
					["1"] = "6323",
					["2"] = "6321",
				},
				["Commander Springvale|N|3"] = {
					["1"] = "3191",
					["2"] = "6320",
				},
				["Deathsworn Captain|S|4"] = {
					["1"] = "6641",
					["2"] = "6642",
				},
				["Odo the Blindwatcher|N|5"] = {
					["1"] = "6319",
					["2"] = "6318",
				},
				["Fenrus the Devourer|N|6"] = {
					["1"] = "6340",
					["2"] = "3230",
				},
				["Wolf Master Nandos|N|7"] = {
					["1"] = "6314",
					["2"] = "3748",
				},
				["Sever|S|8"] = {
					["1"] = "23173",
				},
				["Archmage Arugal|B|9"] = {
					["1"] = "6324",
					["2"] = "6220",
					["3"] = "6392",
				},
				["Trash|T"] = {
					["1"] = "2807",
					["2"] = "1935",
					["3"] = "1484",
					["4"] = "1483",
					["5"] = "5943",
					["6"] = "1482",
					["7"] = "3194",
					["8"] = "1318",
					["9"] = "1974",
					["10"] = "6341|"..L["Fel Steed"],
				},
				["Quest Reward|T"] = {
					["1"] = "4534",
					["2"] = "6335",
					["3"] = "3324",
					["4"] = "6414",
				},
			},
			["The Stockade|A|3"] = {
				["Bruegal Ironknuckle|N|1"] = {
					["1"] = "2942",
					["2"] = "3228",
					["3"] = "2941",
				},
				["Quest Reward|T"] = {
					["1"] = "1317",
					["2"] = "3400",
					["3"] = "2033",
					["4"] = "2906",
					["5"] = "1264",
					["6"] = "3562",
				},
			},
			["Gnomeregan|4"] = {
				["Grubbis|N|1"] = {
					["1"] = "9445",
				},
				["Viscous Fallout|N|2"] = {
					["1"] = "9452",
					["2"] = "9453",
					["3"] = "9454",
				},
				["Crowd Pummeler 9-60|N|3"] = {
					["1"] = "9449",
					["2"] = "9450",
				},
				["Electrocutioner 6000|N|4"] = {
					["1"] = "9448",
					["2"] = "9446",
					["3"] = "9447",
				},
				["Dark Iron Ambassador|N|5"] = {
					["1"] = "9456",
					["2"] = "9457",
					["3"] = "9455",
				},
				["Mekgineer Thermaplugg|B|6"] = {
					["1"] = "9461",
					["2"] = "9459",
					["3"] = "9458",
					["4"] = "9492",
				},
				["Trash|T"] = {
					["1"] = "9488",
					["2"] = "9485",
					["3"] = "9510",
					["4"] = "9487",
					["5"] = "9486",
					["6"] = "9508",
					["7"] = "9490",
					["8"] = "9491",
					["9"] = "9509",
				},
				["Quest Reward|T"] = {
					["1"] = "9605",
					["2"] = "9604",
					["3"] = "9535",
					["4"] = "9536",
					["5"] = "9608",
					["6"] = "9609",
					["7"] = "9588",
					["8"] = "9623",
					["9"] = "9624",
					["10"] = "9625",
				},
			},
			["Scarlet Monastery|4"] = {
				["Interrogator Vishas|N|1"] = {
					["1"] = "7682",
					["2"] = "7683",
				},
				["Fallen Champion|S|2"] = {
					["1"] = "7690",
					["2"] = "7689",
					["3"] = "7691",
				},
				["Azshir the Sleepless|S|3"] = {
					["1"] = "7731",
					["2"] = "7708",
					["3"] = "7709",
				},
				["Ironspine|S|4"] = {
					["1"] = "7686",
					["2"] = "7687",
					["3"] = "7688",
				},
				["Bloodmage Thalnos|B|5"] = {
					["1"] = "7684",
					["2"] = "7685",
				},
				["Scorn|6"] = {
					["1"] = "23170",
					["2"] = "23168",
					["3"] = "23169",
				},
				["Houndmaster Loksey|N|7"] = {
					["1"] = "7756",
					["2"] = "7710",
				},
				["Arcanist Doan|B|8"] = {
					["1"] = "7714",
					["2"] = "7713",
					["3"] = "7712",
				},
				["Herod|B|9"] = {
					["1"] = "7717",
					["2"] = "7719",
					["3"] = "7718",
				},
				["High Inquisitor Fairbanks|N|10"] = {
					["1"] = "19509",
					["2"] = "19507",
					["3"] = "19508",
				},
				["Scarlet Commander Mograine|N|11"] = {
					["1"] = "7724",
					["2"] = "7723",
					["3"] = "10330",
					["4"] = "7726",
				},
				["High Inquisitor Whitemane|B|12"] = {
					["1"] = "7721",
					["2"] = "7720",
					["3"] = "7722",
				},
				["Trash|T"] = {
					["1"] = "8226",
					["2"] = "2262",
					["3"] = "5756",
					["4"] = "7736",
					["5"] = "7759",
					["6"] = "7752",
					["7"] = "8225",
					["8"] = "7730",
					["9"] = "7757",
					["10"] = "7755",
					["11"] = "7787",
					["12"] = "7727",
				},
				["Quest Reward|T"] = {
					["1"] = "4643",
					["2"] = "7750",
					["3"] = "7751",
					["4"] = "7746",
					["5"] = "17508",
					["6"] = "7747",
					["7"] = "7749",
					["8"] = "6829",
					["9"] = "6830",
					["10"] = "6831",
					["11"] = "11262",
					["12"] = "6803",
					["13"] = "10711",
					["14"] = "6802",
				},
			},
			["Uldaman|5"] = {
				["Revelosh|N|1"] = {
					["1"] = "9387",
					["2"] = "9390",
					["3"] = "9389",
					["4"] = "9388",
				},
				["Ancient Stone Keeper|N|2"] = {
					["1"] = "9411",
					["2"] = "9410",
				},
				["Digmaster Shovelphlange|N|3"] = {
					["1"] = "9382",
					["2"] = "9375",
					["3"] = "9378",
				},
				["Ironaya|N|4"] = {
					["1"] = "9408",
					["2"] = "9407",
					["3"] = "9409",
				},
				["Baelog|H|5"] = {
					["1"] = "9399",
					["2"] = "9401",
					["3"] = "9404",
				},
				["Galgann Firehammer|N|6"] = {
					["1"] = "9419",
					["2"] = "9412",
					["3"] = "11311",
					["4"] = "11310",
				},
				["Grimlok|N|7"] = {
					["1"] = "9416",
					["2"] = "9415",
					["3"] = "9414",
				},
				["Archaedas|B|8"] = {
					["1"] = "9413",
					["2"] = "9418",
					["3"] = "11118",
				},
				["Trash|T"] = {
					["1"] = "9424",
					["2"] = "9426",
					["3"] = "9425",
					["4"] = "9391",
					["5"] = "9428",
					["6"] = "9393",
					["7"] = "9381",
					["8"] = "9431",
					["9"] = "9397",
					["10"] = "9423",
					["11"] = "9465",
					["12"] = "9392",
					["13"] = "9386",
					["14"] = "9383",
					["15"] = "9429",
					["16"] = "9422",
					["17"] = "9432",
					["18"] = "9384",
					["19"] = "9427",
					["20"] = "9396",
					["21"] = "9420",
					["12"] = "9430",
				},
				["Quest Reward|T"] = {
					["1"] = "9522",
					["2"] = "10358",
					["3"] = "10359",
					["4"] = "4980",
					["5"] = "4746",
					["6"] = "9626",
					["7"] = "9627",
					["8"] = "7673",
				},
			},
			["The Temple of Atal'Hakkar|6"] = {
				["Spawn of Hakkar|T|1"] = {
					["1"] = "10802",
					["2"] = "10801",
				},
				["Atal'alarion|N|2"] = {
					["1"] = "10799",
					["2"] = "10800",
					["3"] = "10798",
				},
				["Troll Miniboss|N|3"] = {
					["1"] = "10788|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					["2"] = "10786|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					["3"] = "10787|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					["4"] = "10784|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					["5"] = "10783|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					["6"] = "10785|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
				},
				["4 Draons|N|4"] = {
					["1"] = "10796|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					["2"] = "10797|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					["3"] = "12465|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					["4"] = "10795|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					["5"] = "12243|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					["6"] = "12466|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					["7"] = "12464|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					["8"] = "12463|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
				},
				["Jammal'an the Prophet|N|5"] = {
					["1"] = "10807",
					["2"] = "10808",
					["3"] = "10806",
				},
				["Ogom the Wretched|N|6"] = {
					["1"] = "10803",
					["2"] = "10805",
					["3"] = "10804",
				},
				["Avatar of Hakkar|N|7"] = {
					["1"] = "10846",
					["2"] = "10845",
					["3"] = "12462",
					["4"] = "10842",
					["5"] = "10838",
					["6"] = "10843",
					["7"] = "10844",
				},
				["Shade of Eranikus|B|8"] = {
					["1"] = "10829",
					["2"] = "10847",
					["3"] = "10828",
					["4"] = "10836",
					["5"] = "10833",
					["6"] = "10835",
					["7"] = "10837",
				},
				["Trash|T"] = {
					["1"] = "10630",
					["2"] = "10624",
					["3"] = "10625",
					["4"] = "10629",
					["5"] = "10623",
					["6"] = "10634",
					["7"] = "10628",
					["8"] = "10626",
					["9"] = "10631",
					["10"] = "10633",
					["11"] = "10632",
					["12"] = "10627",
					["13"] = "16216",
				},
				["Quest Reward|T"] = {
					["1"] = "1490",
					["2"] = "10751",
					["3"] = "10749",
					["4"] = "10750",
					["5"] = "10782",
					["6"] = "10781",
					["7"] = "10780",
					["8"] = "20083",
					["9"] = "19991",
					["10"] = "19992",
					["11"] = "20369",
					["12"] = "20556",
					["13"] = "20503",
					["14"] = "11123",
					["15"] = "11124",
				},
			},
			["Blackrock Depths|7"] = {
				["Overmaster Pyron|N|1"] = { -- 멸망의 파이론
					["1"] = "14486",
				},
				["Bael'Gar|N|2"] = {
					["1"] = "11805",
					["2"] = "11803",
					["3"] = "11802",
					["4"] = "11807",
				},
				["High Interrogator Gerstahn|N|3"] = {
					["1"] = "11625",
					["2"] = "11624",
					["3"] = "11626",
					["4"] = "22240",
				},
				["Theldren|S|4"] = {
					["1"] = "22318",
					["2"] = "22327",
					["3"] = "22330",
					["4"] = "22317",
					["5"] = "22305",
				},
				["Eviscerator|S|5"] = { --적출자
					["1"] = "11686",
					["2"] = "11679",
					["3"] = "11685",
					["4"] = "11730",
				},
				["Grizzle|S|6"] = { --그리즐
					["1"] = "11703",
					["2"] = "11722",
					["3"] = "22270",
					["4"] = "11702",
					["5"] = "11610",
				},
				["Ok'thor the Breaker|S|7"] = { -- 파괴자 오크토르
					["1"] = "11824",
					["2"] = "11662",
					["3"] = "11665",
					["4"] = "11728",
				},
				["Hedrum the Creeper|S|8"] = { --헤드럼
					["1"] = "11634",
					["2"] = "11635",
					["3"] = "11633",
					["4"] = "11729",
				},
				["Anub'shiah|S|9"] = { -- 아눕쉬아
					["1"] = "11675",
					["2"] = "11677",
					["3"] = "11678",
					["4"] = "11731",
				},
				["Gorosh the Dervish|S|10"] = {  -- 고로쉬
					["1"] = "22266",
					["2"] = "22257",
					["3"] = "11726",
					["4"] = "22271",
				},
				["Houndmaster Grebmar|S|11"] = { -- 사냥개조련사 그렙마르
					["1"] = "11627",
					["2"] = "11623",
					["3"] = "11628",
					["4"] = "11629",
				},
				["Lord Roccor|S|12"] = {
					["1"] = "11630",
					["2"] = "22397",
					["3"] = "11631",
					["4"] = "11632",
					["5"] = "11813",
					["6"] = "22234",
				},
				["Pyromancer Loregrain|N|13"] = {  --  화염술사 로어그레인
					["1"] = "11748",
					["2"] = "11750",
					["3"] = "11747",
					["4"] = "11749",
					["5"] = "11207",
				},
				["Verek|N|14"] = {
					["1"] = "22242",
				},
				["Warder Stilgiss|N|15"] = {
					["1"] = "11783",
					["2"] = "11784",
					["3"] = "11782",
					["4"] = "22241",
				},
				["Watchman Doomgrip|N|16"] = { --  보초 둠그립
					["1"] = "22254",
					["2"] = "22255",
					["3"] = "22256",
					["4"] = "22205",-- 문지기 스틸기스도 0.14% 드랍
				},
				["Fineous Darkvire|N|17"] = {
					["1"] = "11840",
					["2"] = "11841",
					["3"] = "22223",
					["4"] = "11839",
					["5"] = "11842",
				},
				["Lord Incendius|N|18"] = {
					["1"] = "11768",
					["2"] = "11764",
					["3"] = "11766",
					["4"] = "11765",
					["5"] = "11767",
				},
				["General Angerforge|N|19"] = {
					["1"] = "11810",
					["2"] = "11820",
					["3"] = "11817",
					["4"] = "11823",
					["5"] = "11816",
					["6"] = "11821",
				},
				["Golem Lord Argelmach|N|20"] = {
					["1"] = "11822",
					["2"] = "11819",
					["3"] = "11669",
					["4"] = "21956",

				},
				["Hurley Blackbreath|N|21"] = {
					["1"] = "11735",
					["2"] = "18043",
					["3"] = "22275",
					["4"] = "18044",
				},
				["Ribbly Screwspigot|N|22"] = {
					["1"] = "11742",
					["2"] = "2663",
					["3"] = "2662",
					["4"] = "11612",
				},
				["Plugger Spazzring|N|23"] = {
					["1"] = "12793",
					["2"] = "12791",
					["3"] = "18653",
				},
				["Phalanx|N|24"] = {
					["1"] = "11744",
					["2"] = "11743",
					["3"] = "11745",
					["4"] = "22212",
				},
				["Ambassador Flamelash|N|25"] = {
					["1"] = "11808",
					["2"] = "11832",
					["3"] = "11809",
					["4"] = "11814",
					["5"] = "11812",
				},
				["Panzor the Invincible|S|26"] = {
					["1"] = "11786",
					["2"] = "11787",
					["3"] = "22245",
					["4"] = "11785",
				},
				["Chest of The Seven|T|27"] = {
					["1"] = "11925|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					["2"] = "11923|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					["3"] = "11921|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					["4"] = "11922|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					["5"] = "11920|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					["6"] = "11926|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					["7"] = "11927|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					["8"] = "11929|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],

				},
				["Magmus|N|28"] = {
					["1"] = "11746",
					["2"] = "22208",
					["3"] = "22395",
					["4"] = "22400",
					["5"] = "11935",
				},
				["Princess Moira Bronzebeard|N|29"] = {
					["1"] = "12553",
					["2"] = "12556",
					["3"] = "12554",
					["4"] = "12557",
				},
				["Emperor Dagran Thaurissian|B|30"] = {
					["1"] = "11684",
					["2"] = "11934",
					["3"] = "11815",
					["4"] = "11924",
					["5"] = "11933",
					["6"] = "11932",
					["7"] = "11931",
					["8"] = "22204",
					["9"] = "11928",
					["10"] = "22207",
					["11"] = "11930",
				},
				["Trash|T"] = {
					["1"] = "12549",
					["2"] = "12542",
					["3"] = "12551",
					["4"] = "12555",
					["5"] = "12552",
					["6"] = "12528",
					["7"] = "12535",
					["8"] = "12547",
					["9"] = "12550",
					["10"] = "12532",
					["11"] = "16048",
					["12"] = "18661",
					["13"] = "15781",
					["14"] = "16053",
				},
				["Quest Reward|T"] = {
					["1"] = "11865",
					["2"] = "11963",
					["3"] = "12049",
					["4"] = "11962",
					["5"] = "11866",
					["6"] = "12041",
					["7"] = "12021",
					["8"] = "12018",
					["9"] = "12038",
					["10"] = "12000",
					["11"] = "11964",
					["12"] = "12113",
					["13"] = "12114",
					["14"] = "12115",
					["15"] = "12112",
					["16"] = "12066",
					["17"] = "12082",
					["18"] = "12083",
					["20"] = "12061",
					["21"] = "12062",
					["22"] = "12065",
					["23"] = "12059",
					["24"] = "12109",
					["25"] = "12110",
					["26"] = "12108",
					["27"] = "12111",
					["28"] = "12544",
					["29"] = "12545",
				},
			},
			["Stratholme|8"] = {
				["Skul|S|1"] = {
					["1"] = "13395",
					["2"] = "13396",
					["3"] = "13394",
				},
				["Stonespine|S|2"] = {
					["1"] = "13954",
					["2"] = "13399",
					["3"] = "13397",
				},
				["Hearthsinger Forresten|N|3"] = {
					["1"] = "13384",
					["2"] = "16682",
					["3"] = "13378",
					["4"] = "13383",
					["5"] = "13379",
				},
				["The Unforgiven|S|4"] = {
					["1"] = "13408",
					["2"] = "13409",
					["4"] = "13405",
					["5"] = "13404",
				},
				["Baroness Anastari|N|5"] = {
					["1"] = "13534",
					["2"] = "18729",
					["4"] = "13539",
					["5"] = "18730",
					["6"] = "18728",
					["7"] = "16704",
					["8"] = "13538",
					["9"] = "13537",
					["10"] = "13535",
				},
				["Magistrate Barthilas|N|6"] = {
					["1"] = "18725",
					["2"] = "18727",
					["3"] = "13376",
					["4"] = "18722",
					["5"] = "18726",
				},
				["Maleki the Pallid|N|7"] = {
					["1"] = "16691",
					["2"] = "18734",
					["3"] = "13527",
					["4"] = "13509",
					["5"] = "18735",
					["6"] = "18737",
					["7"] = "13526",
					["8"] = "13525",
					["9"] = "12833",
					["10"] = "13524",
					["11"] = "13528",
				},
				["Nerub'enkan|N|8"] = {
					["1"] = "18738",
					["2"] = "18740",
					["3"] = "13532",
					["4"] = "16675",
					["5"] = "13529",
					["6"] = "13530",
					["7"] = "13508",
					["8"] = "13533",
					["9"] = "18739",
					["10"] = "13531",
				},
				["Postmaster Malown|N|9"] = {
					["1"] = "13393",
					["2"] = "13391",
					["3"] = "13388",
					["4"] = "13392",
					["5"] = "13389",
				},
				["Balzaphon|N|10"] = {
					["1"] = "23125",
					["2"] = "23126",
					["3"] = "23124",
				},
				["Ramstein the Gorger|N|11"] = {
					["1"] = "16737",
					["2"] = "13373",
					["3"] = "13375",
					["4"] = "13372",
					["5"] = "18723",
					["6"] = "13515",
					["7"] = "13374",
				},
				["Timmy the Cruel|N|12"] = {
					["1"] = "13402",
					["2"] = "13400",
					["3"] = "16724",
					["4"] = "13403",
					["5"] = "13401",
				},
				["Cannonmaster Willey|N|13"] = {
					["1"] = "13377",
					["2"] = "18721",
					["3"] = "13382",
					["4"] = "13381",
					["5"] = "22406",
					["6"] = "22404",
					["7"] = "12839",
					["8"] = "16708",
					["9"] = "13380",
					["10"] = "22403",
					["11"] = "22405",
				},
				["Archivist Galford|N|14"] = {
					["1"] = "16692",
					["2"] = "18716",
					["3"] = "13385",
					["4"] = "13387",
					["5"] = "13386",
				},
				["Balnazzar|B|15"] = {
					["1"] = "13353",
					["2"] = "16725",
					["3"] = "13369",
					["4"] = "13348",
					["5"] = "13359",
					["6"] = "12103",
					["7"] = "18720",
					["8"] = "14512",
					["9"] = "13360",
					["10"] = "13358",
					["12"] = "18717",
					["13"] = "18718",

				},
				["Jarien|N|16"] = {
					["1"] = "22334",
					["2"] = "22301",
					["3"] = "22327",
					["4"] = "22328",
					["5"] = "22329",
				},
				["Sothos|N|17"] = {
					["1"] = "22334",
					["2"] = "22301",
					["3"] = "22327",
					["4"] = "22328",
					["5"] = "22329",
				},
				["Baron Rivendare|B|18"] = {
					["1"] = "13349",
					["2"] = "13368",
					["3"] = "13344",
					["4"] = "16668",
					["5"] = "13361",
					["6"] = "16694",
					["7"] = "13345",
					["8"] = "16709",
					["9"] = "16678",
					["10"] = "16719",
					["11"] = "16732",
					["12"] = "16728",
					["13"] = "13346",
					["14"] = "13335",
					["15"] = "13340",
					["16"] = "16687",
					["17"] = "13505",
					["18"] = "16699",
					["19"] = "22408",
					["20"] = "22411",
					["21"] = "22410",
					["22"] = "22412",
				},
				["Trash|T"] = {
					["1"] = "17061",
					["2"] = "18743",
					["3"] = "18741",
					["4"] = "16052",
					["5"] = "18658",
					["6"] = "18742",
					["7"] = "16248",
					["8"] = "16249",
				},
				["Quest Reward|T"] = {
					["1"] = "13249",
					["2"] = "13243",
					["3"] = "13246",
					["4"] = "13216",
					["5"] = "13217",
					["6"] = "13315",
					["7"] = "17044",
					["8"] = "17045",
					["9"] = "13171",
					["10"] = "18022",
					["11"] = "17001",
					["12"] = "19812",
					["13"] = "13209",
					["14"] = "15421",
					["15"] = "16058",
					["16"] = "15411",
					["17"] = "15418",
					["18"] = "15413",
				},
			},
			["Scholomance|9"] = {
				["Kirtonos the Herald|N|1"] = {
					["1"] = "13960",
					["2"] = "16734",
					["3"] = "13983",
					["4"] = "13967",
					["5"] = "13957",
					["6"] = "14024",
					["7"] = "13955",
					["8"] = "13956",
					["9"] = "13969",
				},
				["Jandice Barov|N|2"] = {
					["1"] = "18689",
					["2"] = "14543",
					["3"] = "22394",
					["4"] = "14548",
					["5"] = "14541",
					["6"] = "14545",
					["7"] = "16701",
					["8"] = "18690",
				},
				["Marduk Blackpool|N|3"] = {
					["1"] = "14576",
					["2"] = "18692",
				},
				["Vectus|N|4"] = {
					["1"] = "14577",
					["2"] = "18691",
				},
				["Ras Frostwhisper|N|5"] = {
					["1"] = "18696",
					["2"] = "18693",
					["3"] = "13952",
					["4"] = "18695",
					["5"] = "14503",
					["6"] = "14525",
					["7"] = "14340",
					["8"] = "14487",
					["9"] = "14502",
					["10"] = "13314",
					["11"] = "18694",
					["12"] = "16689",
					["13"] = "14522",

				},
				["Kormok|N|6"] = {
					["1"] = "22332",
					["2"] = "22326",
					["3"] = "22303",
					["4"] = "22333",
					["5"] = "22331",
				},
				["Lord Blackwood|N|7"] = {
					["1"] = "23156",
					["2"] = "23132",
					["3"] = "23139",
				},
				["Rattlegore|N|8"] = {
					["1"] = "14539",
					["2"] = "14537",
					["3"] = "14528",
					["4"] = "14531",
					["5"] = "16711",
					["6"] = "14538",
					["7"] = "18686",
				},
				["Death Knight Darkreaver|N|9"] = {
					["1"] = "18758",
					["2"] = "18761",
					["3"] = "18760",
					["4"] = "18759",
				},
				["Named common|T|10"] = {
				---- 조교 말리시아 / 학자 테올렌 크리스티노브 / 여군주 일루시아 바로브
				---- 군주 알렉사이 바로브 / 현자 폴켄트 / 라베니안
					["1"] = "23201",
					["2"] = "23200",
					["3"] = "18684",
					["4"] = "18683",
					["5"] = "18681",
					["6"] = "18680",
					["7"] = "18682",
					["8"] = "14626",
					["9"] = "14631",
					["10"] = "14629",
					["11"] = "14632",
					["12"] = "14633",
					["13"] = "14637",
					["14"] = "14640",
					["15"] = "14641",
					["16"] = "14636",
					["17"] = "14638",
					["18"] = "14624",
					["19"] = "14622",
					["20"] = "14620",
					["21"] = "14621",
					["22"] = "14623",
					["23"] = "14616",
					["24"] = "14615",
					["25"] = "14614",
					["26"] = "14611",
					["27"] = "14612",
				},
				["Darkmaster Gandling|B|11"] = {
					["1"] = "16693",
					["2"] = "16686",
					["3"] = "16731",
					["4"] = "16727",
					["5"] = "16667",
					["6"] = "16698",
					["7"] = "16677",
					["8"] = "16720",
					["9"] = "16707",
					["10"] = "13944",
					["11"] = "13964",
					["12"] = "13950",
					["13"] = "13951",
					["14"] = "13398",
					["15"] = "13953",
					["16"] = "13938",
					["17"] = "14514",
					["18"] = "13937",
					["19"] = "22433",
				},
				["Trash|T"] = {
					["1"] = "14536",
					["2"] = "18697",
					["3"] = "18701",
					["4"] = "18702",
					["5"] = "18700",
					["6"] = "18699",
					["7"] = "18698",
					["8"] = "16254",
					["9"] = "16255",
				},
				["Quest Reward|T"] = {
					["1"] = "15854",
					["2"] = "15853",
					["3"] = "15806",
					["4"] = "15805",
					["5"] = "13982",
					["6"] = "13986",
					["7"] = "13984",
					["8"] = "14002",
				},
			},
			["Lower Blackrock Spire|10"] = {
				["Bannok Grimaxe|N|1"] = {
					["1"] = "12634",
					["2"] = "12621",
					["3"] = "12637",
					["4"] = "12838",
				},
				["Burning Felguard|S|2"] = {
					["1"] = "13182",
					["2"] = "13181",
				},
				["Shadow Hunter Vosh'gajin|N|3"] = {
					["1"] = "12651",
					["2"] = "12653",
					["3"] = "12654",
					["4"] = "13255",
					["5"] = "12626",
					["6"] = "16712",
					["7"] = "13257",
				},
				["Spirestone Battle Lord|T|4"] = {
					["1"] = "13285",
					["2"] = "13284",
				},
				["Spirestone Butcher|T|5"] = {
					["1"] = "13286",
					["2"] = "12608",
				},
				["Spirestone Lord Magus|N|6"] = {
					["1"] = "13283",
					["2"] = "13261",
					["3"] = "13282",
				},
				["Highlord Omokk|N|7"] = {
					["1"] = "16670",
					["2"] = "13167",
					["3"] = "13168",
					["4"] = "13166",
					["5"] = "13169",
					["6"] = "13170",
				},
				["War Master Voone|N|8"] = {
					["1"] = "22231",
					["2"] = "13175",
					["3"] = "13177",
					["4"] = "13178",
					["5"] = "16676",
					["6"] = "12582",
					["7"] = "28972",
					["8"] = "13179",
				},
				["Mor Grayhoof|N|9"] = {
					["1"] = "22322",
					["2"] = "22319",
					["3"] = "22398",
					["4"] = "22325",
					["5"] = "22306",
				},
				["Crystal Fang|S|10"] = {
					["1"] = "13184",
					["6"] = "13218",
					["7"] = "13185",
				},
				["Mother Smolderweb|N|11"] = {
					["1"] = "13244",
					["2"] = "13213",
					["3"] = "16715",
					["4"] = "13183",
				},
				["Urok Doomhowl|N|12"] = {
					["1"] = "22232",
					["2"] = "13259",
					["3"] = "13258",
				},
				["Halycon|N|13"] = {
					["1"] = "22313",
					["2"] = "13211",
					["3"] = "13212",
					["4"] = "13210",
				},
				["Gizrul the Slavener|N|14"] = {
					["1"] = "13205",
					["2"] = "13206",
					["3"] = "13208",
					["4"] = "16718",
				},
				["Ghok Bashguud|N|15"] = {
					["1"] = "13198",
					["2"] = "13204",
					["3"] = "13203",
				},
				["Quartermaster Zigris|N|16"] = {
				--	["무력의 손길"] = {[1] = "드랍",[2] = "검은바위첨탑(하층)",[3] = "병참장교 지그리스"},
					["2"] = "13253",
					["3"] = "13252",
					["4"] = "12835",
				},
				["Overlord Wyrmthalak|B|17"] = {
					["1"] = "13164",
					["2"] = "13148",
					["3"] = "13162",
					["4"] = "13163",
					["5"] = "13143",
					["6"] = "13161",
					["7"] = "22321",
					["8"] = "16679",
				},
				["Trash|T"] = {
					["1"] = "16250",
					["2"] = "14513",
				},
				["Quest Reward|T"] = {
					["1"] = "15858",
					["2"] = "15859",
					["3"] = "15824",
					["4"] = "15827",
					["5"] = "15825",
					["6"] = "12529",
					["7"] = "12264",
					["8"] = "15873",
					["9"] = "15867",
					["10"] = "13958",
					["11"] = "13959",
					["12"] = "13961",
					["13"] = "13963",
					["14"] = "13962",
				},
			},
			["Upper Blackrock Spire|11"] = {
				["Jed Runewatcher|S|1"] = {
					["1"] = "12605",
					["2"] = "12604",
					["3"] = "12930",
				},
				["Pyroguard Emberseer|N|2"] = {
					["1"] = "12929",
					["2"] = "16672",
					["3"] = "12926",
					["4"] = "12905",
					["5"] = "12927",
				},
				["Solakar Flamewreath|N|3"] = {
					["1"] = "12606",
					["2"] = "12609",
					["3"] = "12603",
					["4"] = "12589",
					["5"] = "16695",
					["6"] = "18657",
				},
				["Goraluk Anvilcrack|N|4"] = {
					["1"] = "18048",
					["2"] = "18047",
					["3"] = "13502",
					["4"] = "12728",
					["5"] = "12837",
					["6"] = "13498",
					["7"] = "12834",
				},
				["The Beast|N|5"] = {
					["1"] = "12967",
					["2"] = "12969",
					["3"] = "12709",
					["4"] = "22311",
					["5"] = "12968",
					["6"] = "16729",
					["7"] = "12963",
					["8"] = "12966",
					["9"] = "12964",
					["10"] = "12965",
				},
				["Lord Valthalak|N|6"] = {
					["1"] = "22337",
					["2"] = "22343",
					["3"] = "22302",
					["4"] = "22340",
					["5"] = "22342",
					["6"] = "22339",
					["7"] = "22336",
					["8"] = "22335",
				},
				["Warchief Rend Blackhand|N|7"] = {
					["1"] = "12587",
					["2"] = "12590",
					["3"] = "18103",
					["4"] = "18102",
					["5"] = "22247",
					["6"] = "12940",
					["7"] = "18104",
					["8"] = "16733",
					["9"] = "12935",
					["10"] = "12583",
					["11"] = "19112",
					["12"] = "12936",
					["13"] = "12588",
					["14"] = "12939",
				},
				["Gyth|N|8"] = {
					["1"] = "22225",
					["2"] = "12953",
					["3"] = "12952",
					["4"] = "16669",
					["5"] = "12960",

				},
				["General Drakkisath|B|9"] = {
					["1"] = "22268",
					["2"] = "13098",
					["3"] = "13142",
					["4"] = "12592",
					["5"] = "13141",
					["6"] = "12602",
					["7"] = "22253",
					["8"] = "22267",
					["9"] = "22269",
					["10"] = "16730",
					["11"] = "16726",
					["12"] = "16666",
					["13"] = "16690",
					["14"] = "16688",
					["15"] = "16674",
					["16"] = "16721",
					["17"] = "16706",
					["18"] = "16700",
				},
				["Trash|T"] = {
					["1"] = "16244",
					["2"] = "16247",
				},
				["Quest Reward|T"] = {
					["1"] = "15860",
					["2"] = "15861",
					["3"] = "13966",
					["4"] = "13968",
					["5"] = "13965",
				},
			},
			["Molten Core|R|12"] = {
				["Lucifron|N|1"] = {
					["1"] = "16859",
					["2"] = "16863",
					["3"] = "16829",
					["4"] = "16800",
					["5"] = "16837",
					["6"] = "16805",
					["7"] = "17109",
					["8"] = "18878",
					["9"] = "18870",
					["10"] = "19145",
					["11"] = "17077",
					["12"] = "19147",
					["13"] = "19146",
					["14"] = "18875",
					["15"] = "18872",
					["16"] = "18879",
				},
				["Magmadar|N|2"] = {
					["1"] = "16814",
					["2"] = "16822",
					["3"] = "16867",
					["4"] = "16855",
					["5"] = "16810",
					["6"] = "16835",
					["7"] = "16796",
					["8"] = "16843",
					["9"] = "16847",
					["10"] = "18203",
					["11"] = "17073",
					["12"] = "17069",
					["13"] = "17065",
					["14"] = "18822",
					["15"] = "19143",
					["16"] = "18821",
					["17"] = "18829",
					["18"] = "18820",
					["19"] = "19136",
					["00"] = "19142",
					["21"] = "18824",
					["22"] = "19144",
					["23"] = "18823",
				},
				["Gehennas|N|3"] = {
					["1"] = "16812",
					["2"] = "16862",
					["3"] = "16860",
					["4"] = "16826",
					["5"] = "16849",
					["6"] = "16839",
					["7"] = "18878",
					["8"] = "18870",
					["9"] = "19145",
					["10"] = "17077",
					["11"] = "19147",
					["12"] = "19146",
					["13"] = "18875",
					["14"] = "18872",
					["15"] = "18879",
				},
				["Garr|N|4"] = {
					["1"] = "16866",
					["2"] = "16854",
					["3"] = "16795",
					["4"] = "16821",
					["5"] = "16834",
					["6"] = "16842",
					["7"] = "16846",
					["8"] = "16813",
					["9"] = "16808",
					["10"] = "18832",
					["11"] = "17105",
					["12"] = "17066",
					["13"] = "17071",
					["14"] = "18822",
					["15"] = "19143",
					["16"] = "18821",
					["17"] = "18829",
					["18"] = "18820",
					["19"] = "19136",
					["20"] = "19142",
					["21"] = "18824",
					["22"] = "19144",
					["23"] = "18823",
				},
				["Baron Geddon|N|5"] = {
					["1"] = "17110",
					["2"] = "16856",
					["3"] = "16844",
					["4"] = "16836",
					["5"] = "16797",
					["6"] = "16807",
					["7"] = "18822",
					["8"] = "19143",
					["9"] = "18821",
					["10"] = "18829",
					["11"] = "18820",
					["12"] = "19136",
					["13"] = "19142",
					["14"] = "18824",
					["15"] = "19144",
					["16"] = "18823",
				},
				["Shazzrah|N|6"] = {
					["1"] = "16811",
					["2"] = "16824",
					["3"] = "16831",
					["4"] = "16801",
					["5"] = "16852",
					["6"] = "16803",
					["7"] = "18878",
					["8"] = "18870",
					["9"] = "19145",
					["10"] = "17077",
					["11"] = "19147",
					["12"] = "19146",
					["13"] = "18875",
					["14"] = "18872",
					["15"] = "18879",
				},
				["Sulfuron Harbinger|N|7"] = {
					["1"] = "17074",
					["2"] = "17223",
					["3"] = "16868",
					["4"] = "16848",
					["5"] = "16816",
					["6"] = "16823",
					["7"] = "18878",
					["8"] = "18870",
					["9"] = "19145",
					["10"] = "17077",
					["11"] = "19147",
					["12"] = "19146",
					["13"] = "18875",
					["14"] = "18872",
					["15"] = "18879",
				},
				["Golemagg the Incinerator|N|8"] = {
					["1"] = "16865",
					["2"] = "16853",
					["3"] = "16815",
					["4"] = "16833",
					["5"] = "16798",
					["6"] = "16841",
					["7"] = "16845",
					["8"] = "16809",
					["9"] = "16820",
					["10"] = "18842",
					["11"] = "17103",
					["12"] = "17072",
					["13"] = "18822",
					["14"] = "19143",
					["15"] = "18821",
					["16"] = "18829",
					["17"] = "18820",
					["18"] = "19136",
					["19"] = "19142",
					["20"] = "18824",
					["21"] = "19144",
					["22"] = "18823",
				},
				["Majordomo Executus|N|9"] = {
					["1"] = "18811",
					["2"] = "19140",
					["3"] = "18806",
					["4"] = "18812",
					["5"] = "18803",
					["6"] = "18805",
					["7"] = "18808",
					["8"] = "19139",
					["9"] = "18810",
					["10"] = "18809",
				},
				["Ragnaros|B|10"] = {
					["1"] = "16915",
					["2"] = "16909",
					["3"] = "16962",
					["4"] = "16954",
					["5"] = "16946",
					["6"] = "16922",
					["7"] = "16930",
					["8"] = "16938",
					["9"] = "16901",
					["10"] = "18817",
					["11"] = "17076",
					["12"] = "18816",
					["13"] = "17107",
					["14"] = "17102",
					["15"] = "19137",
					["16"] = "17082",
					["17"] = "17104",
					["18"] = "17982",
					["19"] = "17063",
					["20"] = "19138",
					["21"] = "18814",
					["22"] = "18815",
					["23"] = "17106",
					["24"] = "17204",
				},
				["Boss common|T"] = {
					["1"] = "18861",
					["2"] = "18290",
					["3"] = "18292",
					["4"] = "18291",
					["5"] = "18257",
					["6"] = "21371",
					["7"] = "18265",
					["8"] = "18252",
					["9"] = "18264",
					["10"] = "18260",
					["11"] = "18259",
				},
				["Trash|T"] = {
					["1"] = "16819",
					["2"] = "16825",
					["3"] = "16861",
					["4"] = "16857",
					["5"] = "16799",
					["6"] = "16830",
					["7"] = "16840",
					["8"] = "16850",
					["9"] = "16804",
					["10"] = "16817",
					["11"] = "16864",
					["12"] = "16858",
					["13"] = "16802",
					["14"] = "16828",
					["15"] = "16827",
					["16"] = "16838",
					["17"] = "16851",
					["18"] = "16806",
				},
				["Quest Reward|T"] = {
					["1"] = "18399",
					["2"] = "18398",
				},
			},
			["Blackwing Lair|R|13"] = {
				["Razorgore the Untamed|N|1"] = {
					["1"] = "16959",
					["2"] = "16926",
					["3"] = "16951",
					["4"] = "16943",
					["5"] = "16918",
					["6"] = "16934",
					["7"] = "16935",
					["8"] = "16904",
					["9"] = "16911",
					["10"] = "19337",
					["12"] = "19335",
					["13"] = "19334",
					["14"] = "19336",
					["15"] = "19369",
					["16"] = "19370",
				},
				["Vaelastrasz the Corrupt|N|2"] = {
					["1"] = "16925",
					["2"] = "16933",
					["3"] = "16960",
					["4"] = "16952",
					["5"] = "16944",
					["6"] = "16818",
					["7"] = "16936",
					["8"] = "16903",
					["9"] = "16910",
					["10"] = "19346",
					["11"] = "19340",
					["12"] = "19339",
					["13"] = "19371",
					["14"] = "19372",
					["15"] = "19348",
				},
				["Broodlord Lashlayer|N|3"] = {
					["1"] = "16927",
					["2"] = "16949",
					["3"] = "16919",
					["4"] = "16912",
					["5"] = "16965",
					["6"] = "16957",
					["7"] = "16941",
					["8"] = "16898",
					["9"] = "16906",
					["10"] = "19342",
					["11"] = "19341",
					["12"] = "19350",
					["13"] = "19373",
					["14"] = "19374",
					["15"] = "19351",
				},
				["Firemaw|N|4"] = {
					["1"] = "19399",
					["2"] = "19398",
					["3"] = "19365",
					["4"] = "19344",
					["5"] = "19400",
					["6"] = "19343",
					["7"] = "19433",
					["8"] = "19402",
					["9"] = "19401",
					["10"] = "16920",
					["11"] = "16928",
					["12"] = "16964",
					["13"] = "16956",
					["14"] = "16948",
					["15"] = "16899",
					["16"] = "16913",
					["17"] = "16940",
					["18"] = "16907",
					["19"] = "19395",
					["20"] = "19397",
					["21"] = "19353",
					["22"] = "19355",
					["23"] = "19394",
					["24"] = "19396",
				},
				["Ebonroc|N|5"] = {
					["1"] = "19406",
					["2"] = "19368",
					["3"] = "19345",
					["4"] = "19407",
					["5"] = "19403",
					["6"] = "19405",
					["7"] = "16920",
					["8"] = "16928",
					["9"] = "16964",
					["10"] = "16956",
					["11"] = "16948",
					["12"] = "16899",
					["13"] = "16913",
					["14"] = "16940",
					["15"] = "16907",
					["16"] = "19395",
					["17"] = "19397",
					["18"] = "19353",
					["19"] = "19355",
					["20"] = "19394",
					["21"] = "19396",
				},
				["Flamegor|N|6"] = {
					["1"] = "19367",
					["2"] = "19357",
					["3"] = "19430",
					["4"] = "19433",
					["5"] = "19432",
					["6"] = "19431",
					["7"] = "16920",
					["8"] = "16928",
					["9"] = "16964",
					["10"] = "16956",
					["11"] = "16948",
					["12"] = "16899",
					["13"] = "16913",
					["14"] = "16940",
					["15"] = "16907",
					["16"] = "19395",
					["17"] = "19397",
					["18"] = "19353",
					["19"] = "19355",
					["20"] = "19394",
					["21"] = "19396",
				},
				["Chromaggus|N|7"] = {
					["1"] = "16945",
					["2"] = "16961",
					["3"] = "16953",
					["4"] = "16932",
					["5"] = "16924",
					["6"] = "16937",
					["7"] = "16902",
					["8"] = "16832",
					["9"] = "16917",
					["10"] = "19387",
					["11"] = "19347",
					["12"] = "19392",
					["13"] = "19390",
					["14"] = "19388",
					["15"] = "19349",
					["16"] = "19386",
					["17"] = "19391",
					["18"] = "19352",
					["19"] = "19361",
					["20"] = "19385",
					["21"] = "19389",
					["22"] = "19393",
				},
				["Nefarian|B|8"] = {
					["1"] = "16966",
					["2"] = "16958",
					["3"] = "16950",
					["4"] = "16923",
					["5"] = "16931",
					["6"] = "16916",
					["7"] = "16942",
					["8"] = "16897",
					["9"] = "16905",
					["10"] = "19379",
					["11"] = "19378",
					["12"] = "19380",
					["13"] = "19381",
					["14"] = "19356",
					["15"] = "19377",
					["16"] = "19382",
					["17"] = "19360",
					["18"] = "19376",
					["19"] = "19363",
					["20"] = "19364",
					["21"] = "19375",
				},
				["Trash|T"] = { 
					["1"] = "19358", --벨라 2층 일반몹
					["2"] = "19436",
					["3"] = "19437",
					["4"] = "19354",-- 화염아귀 ~ 에본로크 사이 일반몹 
					["5"] = "19362",
					["6"] = "19439",
					["7"] = "19435",
					["8"] = "19434",
					["9"] = "19438",
				},
			},
			["Zul'Gurub|R|14"] = {
				["High Priestess Jeklik|N|1"] = {
					["1"] = "20262",
					["2"] = "19918",
					["3"] = "19920",
					["4"] = "19915",
					["5"] = "20265",
					["6"] = "19923",
					["7"] = "19928",
				},
				["High Priest Venoxis|N|2"] = {
					["1"] = "22721",
					["2"] = "19905",
					["3"] = "19900",
					["4"] = "19906",
					["5"] = "19903",
					["6"] = "19904",
					["7"] = "19907",
				},
				["High Priestess Mar'li|N|3"] = {
					["1"] = "19930",
					["2"] = "19925",
					["3"] = "19927",
					["4"] = "20032",
					["5"] = "19871",
					["6"] = "19919",
				},
				["Bloodlord Mandokir|N|4"] = {
					["1"] = "19893",
					["2"] = "19874",
					["3"] = "19866",
					["4"] = "19869",
					["5"] = "19895",
					["6"] = "19867",
					["7"] = "20038",
					["8"] = "19863",
					["9"] = "19870",
					["10"] = "19878",
					["11"] = "19873",
					["12"] = "19877",
					["13"] = "19872",
				},
			--	["광란의 경계|N|5"] = {
				["Wushoolay|N|5"] = {
					["1"] = "19993",
				},
				["Renataki|N|5"] = {
					["2"] = "19963",
					["8"] = "19964",
				},
				["Hazza'rah|N|5"] = {
					["3"] = "19967",
					["4"] = "19968",
				},
				["Gri'lek|N|5"] = {
					["5"] = "19961",
					["7"] = "19962",
				},
				["Wushoolay|N|5"] = {
					["6"] = "19965",
				},
				["Gahz'ranka|N|6"] = {
					["1"] = "19946",
					["2"] = "19945",
					["3"] = "19947",
					["4"] = "19944",
					["5"] = "22739",
				},
				["High Priest Thekal|N|7"] = {
					["1"] = "19898",
					["2"] = "19901",
					["3"] = "19897",
					["4"] = "19896",
					["5"] = "19899",
					["6"] = "20260",
					["7"] = "20266",
					["8"] = "19902",
				},
				["High Priestess Arlokk|N|8"] = {
					["1"] = "19909",
					["2"] = "19914",
					["3"] = "19913",
					["4"] = "19910",
					["5"] = "19912",
					["6"] = "19922",
				},
				["Jin'do the Hexxer|N|9"] = {
					["1"] = "19884",
					["2"] = "19885",
					["3"] = "19888",
					["4"] = "19890",
					["5"] = "19886",
					["6"] = "19929",
					["7"] = "19892",
					["8"] = "19891",
					["9"] = "19894",
					["10"] = "19875",
					["11"] = "19887",
					["12"] = "19889",
				},
				["Hakkar|B|10"] = {
					["1"] = "19861",
					["2"] = "19864",
					["3"] = "19856",
					["4"] = "19857",
					["5"] = "19865",
					["6"] = "20257",
					["7"] = "19862",
					["8"] = "20264",
					["9"] = "19855",
					["10"] = "19876",
					["11"] = "19859",
					["12"] = "19854",
					["13"] = "19852",
					["14"] = "19853",
				},
				["Trash|T"] = {
					["1"] = "19908",
					["2"] = "20258",
					["3"] = "20263",
					["4"] = "19921",
					["5"] = "20259",
					["6"] = "20261",
				},
				["Boss common"] = {
					["1"] = "22712",
					["2"] = "22721",
					["3"] = "22715",
					["4"] = "22714",
					["5"] = "22720",
					["6"] = "22718",
					["7"] = "22713",
					["8"] = "22711",
					["9"] = "22722",
					["10"] = "22716",
				},
				["Quest Reward|T"] = {
					["1"] = "20216",
					["2"] = "20215",
					["3"] = "20217",
					["4"] = "20213",
				},
			},
			["Naxxramas|R|15"] = {
				["Patchwerk|N|1"] = {
					["1"] = "22815",
					["2"] = "22960",
					["3"] = "22818",
					["4"] = "22820",
					["5"] = "22961",
				},
				["Grobbulus|N|2"] = {
					["1"] = "22810",
					["2"] = "22988",
					["3"] = "22803",
					["4"] = "22968",
					["5"] = "22967",
				},
				["Gluth|N|3"] = {
					["1"] = "23075",
					["2"] = "22983",
					["3"] = "22813",
					["4"] = "22981",
					["5"] = "22994",
				},
				["Thaddius|N|4"] = {
					["1"] = "23001",
					["2"] = "22808",
					["3"] = "22801",
					["4"] = "23070",
					["5"] = "23000",
				},
				---------------------------------
				["Anub'Rekhan|N|5"] = {
					["1"] = "22935",
					["2"] = "22937",
					["3"] = "22936",
					["4"] = "22938",
					["5"] = "22939",
				},
				["Grand Widow Faerlina|N|6"] = {
					["1"] = "22943",
					["2"] = "22940",
					["3"] = "22941",
					["4"] = "22942",
					["5"] = "22806",
				},
				["Maexxna|N|7"] = {
					["1"] = "22807",
					["2"] = "22954",
					["3"] = "22804",
					["4"] = "23220",
					["5"] = "22947",
				},
				---------------------------------
				["Instructor Razuvious|N|8"] = {
					["1"] = "23004",
					["2"] = "23017",
					["3"] = "23219",
					["4"] = "23009",
					["5"] = "23018",
					["6"] = "23014",
				},
				["Gothik the Harvester|N|9"] = {
					["1"] = "23020",
					["2"] = "23073",
					["3"] = "23032",
					["4"] = "23021",
					["5"] = "23023",
				},
				["The Four Horsemen|N|10"] = {
					["1"] = "22811",
					["2"] = "23071",
					["3"] = "23025",
					["4"] = "23027",
					["5"] = "22691",
					["6"] = "22809",
				},
				---------------------------------
				["Noth the Plaguebringer|N|11"] = {
					["1"] = "23028",
					["2"] = "23031",
					["3"] = "23030",
					["4"] = "22816",
					["5"] = "23005",
					["6"] = "23029",
					["7"] = "23006",
				},
				["Heigan the Unclean|N|12"] = {
					["1"] = "23035",
					["2"] = "23036",
					["3"] = "23019",
					["4"] = "23068",
					["5"] = "23033",
				},
				["Loatheb|N|13"] = {
					["1"] = "23039",
					["2"] = "22800",
					["3"] = "23042",
					["4"] = "23038",
					["5"] = "23037"
				},
				---------------------------------
				["Sapphiron|N|14"] = {
					["1"] = "23047",
					["2"] = "23043",
					["3"] = "23040",
					["4"] = "23041",
					["5"] = "23045",

					["6"] = "23242",
					["7"] = "23050",
					["8"] = "23049",
					["9"] = "23048",
					["10"] = "23046",

					["11"] = "23549",
					["12"] = "23547",
					["13"] = "23548",
					["14"] = "23545",
				},
				["Kel'Thuzad|N|15"] = {
					["1"] = "22802",
					["2"] = "23577",
					["3"] = "22798",
					["4"] = "22819",

				--	["부동의 장갑"] = {[1] = "드랍",[2] = "낙스라마스<공>",[3] = "켈투자드"},
					["6"] = "22821",
					["7"] = "22799",
					["8"] = "23056",
					["9"] = "23057",
					["10"] = "22812",
					["11"] = "23053",
					["12"] = "23054",
				},
				["Trash|T"] = {
					["1"] = "23044",
					["2"] = "23069",
					["3"] = "23221",
					["4"] = "23237",
					["5"] = "23663",
					["6"] = "23664",
					["7"] = "23665",
					["8"] = "23226",
					["9"] = "23666",
					["10"] = "23667",
					["11"] = "23668",
					["12"] = "23238",
				},
			},
			["Karazhan|R|17"] = { -- 카라잔 공격대 인던(카라진|공격대 의 의미..)
				["Attumen the Huntsman|N|1"] = { -- 사냥꾼 어튜맨|첫번째표시의 의미..
					["1"] = "28504",
					["2"] = "28502",
					["3"] = "28477",
					["4"] = "28510",
					["5"] = "28503",
					["6"] = "28589",
					["7"] = "28453",
					["8"] = "30480",
					["9"] = "28508",
					["10"] = "28509",
					["11"] = "28506",
					["12"] = "28454",
					["13"] = "28505",
					["14"] = "28507",
					["15"] = "23809",
				},
				["Hyakiss the Lurker|N|2"] = {
					["1"] = "30678",
					["2"] = "30675",
					["3"] = "30677",
					["4"] = "30676",
				},
				["Rokad the Ravager|N|3"] = {
					["1"] = "30687",
					["2"] = "30684",
					["3"] = "30686",
					["4"] = "30685",
				},
				["Shadikith the Glider|N|4"] = {
					["1"] = "30683",
					["2"] = "30682",
					["3"] = "30681",
					["4"] = "30680",
				},
				["Moroes|N|5"] = {
					["1"] = "28569",
					["2"] = "28568",
					["3"] = "28567",
					["4"] = "28566",
					["5"] = "28565",
					["6"] = "28524",
					["7"] = "28570",
					["8"] = "28529",
					["9"] = "28545",
					["10"] = "28525",
					["11"] = "28530",
					["12"] = "28528",
					["13"] = "22559",
				},
				["Maiden of Virtue|N|6"] = {
					["1"] = "28517",
					["2"] = "28522",
					["3"] = "28519",
					["4"] = "28520",
					["5"] = "28511",
					["6"] = "28523",
					["7"] = "28512",
					["8"] = "28514",
					["9"] = "28521",
					["10"] = "28516",
					["11"] = "28518",
					["12"] = "28515",
				},

				["The Crone|N|7"] = {
					["1"] = "28585",
					["2"] = "28587",
					["3"] = "28586",
					["4"] = "28588",
					["5"] = "28590",
					["6"] = "28593",
					["7"] = "28594",
					["8"] = "28589",
					["9"] = "28592",
					["10"] = "28591",
				},
				["The Big Bad Wolf|N|8"] = {
					["1"] = "28582",
					["2"] = "28581",
					["3"] = "28584",
					["4"] = "28583",
					["5"] = "28590",
					["6"] = "28593",
					["7"] = "28594",
					["8"] = "28589",
					["9"] = "28592",
					["10"] = "28591",
				},
				["Romulo & Julianne|N|9"] = {
					["1"] = "28573",
					["2"] = "28579",
					["3"] = "28578",
					["4"] = "28572",
					["5"] = "28590",
					["6"] = "28593",
					["7"] = "28594",
					["8"] = "28589",
					["9"] = "28592",
					["10"] = "28591",
				},
				["The Curator|N|10"] = {
					["1"] = "29756",
					["2"] = "29757",
					["3"] = "29758",
					["4"] = "28621",
					["5"] = "28612",
					["6"] = "28647",
					["7"] = "28649",
					["8"] = "28633",
					["9"] = "28631",
				},
				["Terestian Illhoof|N|11"] = {
					["1"] = "28652",
					["2"] = "28657",
					["3"] = "28785",
					["4"] = "28656",
					["5"] = "28659",
					["6"] = "28660",
					["7"] = "28662",
					["8"] = "28654",
					["9"] = "28655",
					["10"] = "28661",
					["11"] = "28658",
					["12"] = "28653",
					["13"] = "22561",
				},
				["Shade of Aran|N|12"] = {
					["1"] = "28669",
					["2"] = "28670",
					["3"] = "28671",
					["4"] = "28674",
					["5"] = "28672",
					["6"] = "28727",
					["7"] = "28728",
					["8"] = "28675",
					["9"] = "28673",
					["10"] = "28666",
					["11"] = "28726",
					["12"] = "28663",
					["13"] = "22560",
				},
				["Chess Event|N|13"] = {
					["1"] = "28749",
					["2"] = "28750",
					["3"] = "28746",
					["4"] = "28752",
					["5"] = "28747",
					["6"] = "28753",
					["7"] = "28748",
					["8"] = "28754",
					["9"] = "28756",
					["10"] = "28751",
					["11"] = "28745",
					["12"] = "28755",
				},
				["Netherspite|N|14"] = {
					["1"] = "28742",
					["2"] = "28732",
					["3"] = "28733",
					["4"] = "28729",
					["5"] = "28741",
					["6"] = "28735",
					["7"] = "28730",
					["8"] = "28740",
					["9"] = "28731",
					["10"] = "28744",
					["11"] = "28734",
					["12"] = "28743",
				},
				["Prince Malchezaar|N|15"] = {
					["1"] = "29759",
					["2"] = "29760",
					["3"] = "29761",
					["4"] = "28768",
					["5"] = "28767",
					["6"] = "28771",
					["7"] = "28773",
					["8"] = "28763",
					["9"] = "28766",
					["10"] = "28765",
					["11"] = "28757",
					["12"] = "28762",
					["13"] = "28764",
					["14"] = "28770",
					["15"] = "28772",
				},
				["Nightbane|B|16"] = { -- 파멸의어둠|보스몬스터|16번째 의 의미..
					["1"] = "28600",
					["2"] = "28601",
					["3"] = "28609",
					["4"] = "28597",
					["5"] = "28611",
					["6"] = "28608",
					["7"] = "28603",
					["8"] = "28599",
					["9"] = "28604",
					["10"] = "28602",
					["11"] = "28610",
					["12"] = "28606",
				},
				["Trash|T|17"] = {
					["1"] = "30642",
					["2"] = "30668",
					["3"] = "30644",
					["4"] = "30641",
					["5"] = "30673",
					["6"] = "30643",
					["7"] = "30667",
					["8"] = "30674",
					["9"] = "30666",
					["10"] = "22545",
					["11"] = "21904",
					["12"] = "21903",
				},
				["Quest Reward|T|18"] = {
					["1"] = "31113",
						-- 힐증
					["2"] = "29288",
					["3"] = "29289",
					["4"] = "29291",
					["5"] = "29290",
						-- 증뎀/극대
					["6"] = "29284",
					["7"] = "29285",
					["8"] = "29286",
					["9"] = "29287",
						-- 방숙(탱커)
					["10"] = "29276",
					["11"] = "29277",
					["12"] = "29278",
					["13"] = "29279",
						-- 적중/전투(딜러)
					["14"] = "29280",
					["15"] = "29281",
					["16"] = "29282",
					["17"] = "29283",
						-- 파멸의 어둠 관련퀘?
					["18"] = "31117",
					["19"] = "31118",
					["20"] = "31116",
				},
			},
		},
	},
	["Kalimdor|2"] ={ -- 칼림도어|두번째순서
		["Instance|1"] = { -- 인스턴스
			["Ragefire Chasm|1"] = {
				["Jergosh the Invoker|1"] = {
					["1"] = "14150",
					["2"] = "14151",
					["3"] = "14147",
				},
				["Taragaman the Hungerer|2"] = {
					["1"] = "14145",
					["2"] = "14149",
--					["3"] = "1414",
				},
				["Quest Reward|T"] = {
					["1"] = "15452",
					["2"] = "15453",
					["3"] = "15449",
					["4"] = "15450",
					["5"] = "15451",
				},
			},
			["Wailing Caverns|2"] = {
				["Boahn|N|1"] = {
					["1"] = "5423",
					["2"] = "5422",
				},
				["Deviate Faerie Dragon|S|2"] = {
					["1"] = "5243",
					["2"] = "6632",
				},
				["Kresh|N|2"] = {
					["1"] = "13245",
				},
				["Lady Anacondra|N|3"] = {
					["1"] = "10412",
				},
				["Lord Cobrahn|N|4"] = {
					["1"] = "6465",
					["2"] = "6460",
					["3"] = "10410",
				},
				["Lord Pythas|N|5"] = {
					["1"] = "6472",
					["2"] = "6473",
				},
				["Lord Serpentis|N|6"] = {
					["1"] = "6459",
					["2"] = "5970",
					["3"] = "10411",
					["4"] = "6469",
				},
				["Mutanus the Devourer|N|7"] = {
					["1"] = "6463",
					["2"] = "6627",
					["3"] = "6461",
				},
				["Skum|N|8"] = {
					["1"] = "6448",
					["2"] = "6449",
				},
				["Trigore the Lasher|N|9"] = {
					["1"] = "5425",
					["2"] = "5426",
				},
				["Verdan the Everliving|B|10"] = {
					["1"] = "6629",
					["2"] = "6631",
					["3"] = "6630",
				},
				["Quest Reward|T"] = {
					["1"] = "918",
					["2"] = "6480",
					["3"] = "10919",
					["4"] = "8071",
					["5"] = "9900",
					["6"] = "6476",
					["7"] = "6505",
					["8"] = "6504",
				},
			},
			["Blackfathom Deeps|3"] = {
				["Ghamoo-ra|N|1"] = {
					["1"] = "6908",
					["2"] = "6907",
				},
				["Lady Sarevess|N|2"] = {
					["1"] = "3078",
					["2"] = "11121",
					["3"] = "888",
				},
				["Gelihast|N|3"] = {
					["1"] = "6905",
					["2"] = "6906",
				},
				["Old Serra'kis|N|4"] = {
					["1"] = "6902",
					["2"] = "6904",
					["3"] = "6901",
				},
				["Twilight Lord Kelris|N|5"] = {
					["1"] = "6903",
					["2"] = "1155",
				},
				["Aku'mai|B|6"] = {
					["1"] = "6910",
					["2"] = "6911",
					["3"] = "6909",
				},
				["Trash|T|7"] = {
					["1"] = "3414",
					["2"] = "2567",
					["3"] = "1481",
					["4"] = "1491",
					["5"] = "3413",
					["6"] = "1486",
					["7"] = "3415",
					["8"] = "1454",
					["9"] = "3417",
					["10"] = "3416",
					["11"] = "2271",
				},
				["Quest Reward|T"] = {
					["1"] = "6743",
					["2"] = "7003",
					["3"] = "7004",
					["4"] = "7000",
					["5"] = "6998",
					["6"] = "17694",
					["7"] = "17695",
					["8"] = "7001",
					["9"] = "7002",
					["10"] = "16886",
					["11"] = "16887",
				},
			},
			---------------------------------
			----------[[ 가시덩굴 우리 ]]----------
			---------------------------------
			["Razorfen Kraul|4"] = {
				["Earthcaller Halmgar|N|1"] = {
					["1"] = "6689",
					["2"] = "6688",
				},
				["Overlord Ramtusk|N|2"] = {
					["1"] = "6686",
					["2"] = "6687",
				},
				["Death Speaker Jargba|N|3"] = {
					["1"] = "2816",
					["2"] = "6682",
					["3"] = "6685",
				},
				["Agathelos the Raging|N|4"] = {
					["1"] = "6691",
					["2"] = "6690",
				},
				["Blind Hunter|S|5"] = {
					["1"] = "6696",
					["2"] = "6695",
					["3"] = "6697",
				},
				["Charlga Razorflank|B|6"] = {
					["1"] = "6694",
					["2"] = "6693",
					["3"] = "6692",
				},
				["Trash|T|8"] = {
					["1"] = "1727",
					["2"] = "6679",
					["3"] = "2039",
					["4"] = "776",
					["5"] = "1488",
					["6"] = "2549",
					["7"] = "1976",
					["8"] = "1978",
					["9"] = "2264",
					["10"] = "4438",
					["11"] = "1975",
				},
				["Quest Reward|T"] = {
					["1"] = "6750",
					["2"] = "6748",
					["3"] = "6749",
					["4"] = "6752",
					["5"] = "6751",
					["6"] = "4197",
					["7"] = "6742",
					["8"] = "6725",
					["9"] = "4197",
					["10"] = "6742",
					["11"] = "6725",
					["12"] = "29200",
				},
			},
			---------------------------------
			----------[[ 가시덩쿨 구릉 ]]----------
			---------------------------------
			["Razorfen Downs|5"] = {
				["Tuten'kash|N|1"] = {
					["1"] = "10776",
					["2"] = "10775",
					["3"] = "10777",
				},
				["Glutton|N|2"] = {
					["1"] = "10772",
					["2"] = "10774",
				},
				["Mordresh Fire Eye|N|3"] = {
					["1"] = "10770",
					["2"] = "10771",
					["3"] = "10769",
				},
				["Lady Falther'ess|N|4"] = {
					["1"] = "23178",
					["2"] = "23177",
				},
				["Ragglesnout|N|5"] = {
					["1"] = "10758",
					["2"] = "10768",
					["3"] = "10767",
				},
				["Plaguemaw the Rotting|N|6"] = {
					["1"] = "10766",
					["2"] = "10760",
				},
				["Amnennar the Coldbringer|B|7"] = {
					["1"] = "10765",
					["2"] = "10763",
					["3"] = "10762",
					["4"] = "10761",
					["5"] = "10764",
				},
				["Trash|T"] = {
					["1"] = "10570",
					["2"] = "10578",
					["3"] = "10573",
					["4"] = "10572",
					["5"] = "10584",
					["6"] = "10583",
					["7"] = "10582",
					["8"] = "10571",
					["9"] = "10581",
				},
				["Quest Reward|T"] = {
					["1"] = "17039",
					["2"] = "17042",
					["3"] = "17043",
					["4"] = "10710",
					["5"] = "10824",
					["6"] = "10823",
				},
			},
			---------------------------------
			----------[[ 줄파락 ]]----------
			---------------------------------
			["Zul'Farrak|6"] = {
				["Dustwraith|S|1"] = {
					["1"] = "12471",
				},
				["Zerillis|N|2"] = {
					["1"] = "12470",
				},
				["Gahz'rilla|N|3"] = {
					["1"] = "9467",
					["2"] = "9469",
				},
				["Shadowpriest Sezz'ziz|N|4"] = {
					["1"] = "9475",
					["2"] = "9470",
					["3"] = "9474",
					["4"] = "9473",
				},
				["Chief Ukorz Sandscalp|B|5"] = {
					["1"] = "9478",
					["2"] = "9479",
					["3"] = "9477",
					["4"] = "11086",
					["5"] = "9476",
				},
				["Witch Doctor Zum'rah|N|6"] = {
					["1"] = "18083",
					["2"] = "9481",
					["3"] = "18082",
				},
				["Antu'sul|N|7"] = {
					["1"] = "9640",
					["2"] = "9639",
					["3"] = "9641",
					["4"] = "9379",
				},
				["Named common|8"] = {
					["1"] = "9511",
					["2"] = "9480",
					["3"] = "9512",
					["4"] = "5616",
					["5"] = "9483",
				},
				["Trash|T"] = {
					["1"] = "2040",
				},
				["Quest Reward|T"] = {
					["1"] = "9531",
					["2"] = "9527",
					["3"] = "9533",
					["4"] = "9534",
					["5"] = "11122",
					["6"] = "9653",
					["7"] = "9372|"..L["Sang'thraze the Deflector"].."+"..L["Jang'thraze the Protector"],
				},
			},
			---------------------------------
			----------[[ 마라우돈 ]]----------
			---------------------------------
			["Maraudon|7"] = {
				["Noxxion|N|1"] = {
					["1"] = "17746",
					["2"] = "17744",
					["3"] = "17745",
				},
				["Lord Vyletongue|N|2"] = {
					["1"] = "17752",
					["2"] = "17754",
					["3"] = "17755",
				},
				["Meshlok the Harvester|S|3"] = {
					["1"] = "17742",
					["2"] = "17767",
					["3"] = "17741",
				},
				["Celebras the Cursed|N|4"] = {
					["1"] = "17739",
					["2"] = "17740",
					["3"] = "17738",
				},
				["Razorlash|N|5"] = {
					["1"] = "17750",
					["2"] = "17748",
					["3"] = "17749",
					["4"] = "17751",
				},
				["Landslide|N|6"] = {
					["1"] = "17734",
					["2"] = "17737",
					["3"] = "17943",
					["4"] = "17736",
				},
				["Rotgrip|N|7"] = {
					["1"] = "17730",
					["2"] = "17728",
					["3"] = "17732",
				},
				["Tinkerer Gizlock|N|8"] = {
					["1"] = "17717",
					["2"] = "17719",
					["3"] = "17718",
				},
				["Princess Theradras|B|9"] = {
					["1"] = "17713",
					["2"] = "17707",
					["3"] = "17710",
					["4"] = "17715",
					["5"] = "17780",
					["6"] = "17714",
					["7"] = "17766",
					["8"] = "17711",
				},
				["Quest Reward|T"] = {
					["1"] = "17772",
					["2"] = "17773",
					["3"] = "17768",
					["4"] = "17778",
					["5"] = "17770",
					["6"] = "17775",
					["7"] = "17776",
					["8"] = "17777",
					["9"] = "17779",
					["10"] = "17774",
					["11"] = "17705",
					["12"] = "17743",
					["13"] = "17753",
				},
			},
			---------------------------------
			----------[[ 혈투의전장 ]]----------
			---------------------------------
			-------------- 동쪽 -------------
			["Dire Maul (East)|8"] = {
				["Zevrim Thornhoof|N|1"] = {
					["1"] = "18319",
					["2"] = "18313",
					["3"] = "18323",
					["4"] = "18308",
					["5"] = "18306",
				},
				["Hydrospawn|N|2"] = {
					["1"] = "18322",
					["2"] = "18324",
					["3"] = "18317",
					["4"] = "18305",
				},
				["Lethtendris|N|3"] = {
					["1"] = "18302",
					["2"] = "18325",
					["3"] = "18311",
					["4"] = "18301",
				},
				["Pimgib|N|4"] = {
					["1"] = "18354",
				},
				["Pusillin|N|5"] = {
					["1"] = "18267",
				},
				["Alzzin the Wildshaper|N|6"] = {
					["1"] = "18321",
					["2"] = "18326",
					["3"] = "18312",
					["4"] = "18318",
					["5"] = "18309",
					["6"] = "18310",
					["7"] = "18328",
					["8"] = "18327",
					["9"] = "18315",
					["10"] = "18314",
				},
				["Isalien|N|7"] = {
					["1"] = "22401",
					["2"] = "22345",
					["3"] = "22472",
					["4"] = "22304",
					["5"] = "22314",
				},
				["Trash|T"] = {
					["1"] = "18344",
					["2"] = "18298",
					["3"] = "18296",
					["4"] = "18295",
				},
				["Quest Reward|T"] = {
					["1"] = "18491",
					["2"] = "18411",
					["3"] = "18410",
					["4"] = "18536",
					["5"] = "18535",
				},
			},
			-------------- 북쪽 -------------
			["Dire Maul (North)|9"] = {
				["Guard Mol'dar|N|1"] = {
					["1"] = "18498",
					["2"] = "18496",
					["3"] = "18497",
					["4"] = "18494",
					["5"] = "18493",
					["6"] = "18450",
					["7"] = "18462",
					["8"] = "18464",
					["9"] = "18460",
					["10"] = "18463",
					["11"] = "18458",
					["12"] = "18459",
					["13"] = "18451",
				},
				["Guard Slip'kik|N|2"] = {
					["1"] = "18498",
					["2"] = "18496",
					["3"] = "18497",
					["4"] = "18494",
					["5"] = "18493",
					["6"] = "18450",
					["7"] = "18462",
					["8"] = "18464",
					["9"] = "18460",
					["10"] = "18463",
					["11"] = "18458",
					["12"] = "18459",
					["13"] = "18451",
				},
				["Guard Fengus|N|3"] = {
					["1"] = "18450",
					["2"] = "18462",
					["3"] = "18464",
					["4"] = "18460",
					["5"] = "18463",
					["6"] = "18458",
					["7"] = "18459",
					["8"] = "18451",
				},
				["Stomper Kreeg|N|4"] = {
					["1"] = "18425",
				},
				["Captain Kromcrush|N|5"] = {
					["1"] = "18502",
					["2"] = "18507",
					["3"] = "18505",
					["4"] = "18503",
				},
				["Cho'Rush the Observer|N|6"] = {
					["1"] = "18484",
					["2"] = "18490",
					["3"] = "18485",
					["4"] = "18483",
				},
				["King Gordok|N|8"] = {
					["1"] = "18520",
					["2"] = "18527",
					["3"] = "18523",
					["4"] = "18525",
					["5"] = "18526",
					["6"] = "18522",
					["7"] = "18524",
					["8"] = "18521",
				},
				["Trash|T"] = {
					["1"] = "18517",
					["2"] = "18514",
					["3"] = "18515",
					["4"] = "18519",
					["5"] = "18518",
					["6"] = "18416",
					["7"] = "18415",
					["8"] = "18417",
					["9"] = "18414",
					["10"] = "18516",
				},
				["Gordok Tribute|T"] = {
					["1"] = "18499",
					["2"] = "18531",
					["3"] = "18481",
					["4"] = "18537",
					["5"] = "18532",
					["6"] = "18495",
					["7"] = "18529",
					["8"] = "18528",
					["9"] = "18533",
					["10"] = "18500",
					["11"] = "18480",
					["12"] = "18530",
					["13"] = "18482",
					["14"] = "18538",
					["15"] = "18534",
				},
				["Quest Reward|T"] = {
					["1"] = "18366",
					["2"] = "18369",
					["3"] = "18368",
					["4"] = "18367",
				},
			},
			-------------- 서쪽 -------------
			["Dire Maul (West)|10"] = {
				["Tendris Warpwood|N|1"] = {
					["1"] = "18352",
					["2"] = "18353",
					["3"] = "18393",
					["4"] = "18390",
				},
				["Magister Kalendris|N|2"] = {
					["1"] = "18371",
					["2"] = "18350",
					["3"] = "18397",
					["4"] = "22309",
					["5"] = "18374",
					["6"] = "18351",
				},
				["Illyanna Ravenoak|N|3"] = {
					["1"] = "18386",
					["2"] = "18349",
					["3"] = "18383",
					["4"] = "18347",
				},
				["Tsu'zee|S|4"] = {
					["1"] = "18387",
					["2"] = "18345",
					["3"] = "18346",
				},
				["Immol'thar|N|5"] = {
					["1"] = "18384",
					["2"] = "18377",
					["3"] = "18379",
					["4"] = "18389",
					["5"] = "18372",
					["6"] = "18370",
					["7"] = "18391",
					["8"] = "18381",
					["9"] = "18385",
					["10"] = "18394",
				},
				["Lord Hel'nurath|N|6"] = {
					["1"] = "18756",
					["2"] = "18755",
					["3"] = "18757",
					["4"] = "18754",
				},
				["Revanchion|N|7"] = {
					["1"] = "23127",
					["2"] = "23128",
					["3"] = "23129",
				},
				["Prince Tortheldrin|B|8"] = {
					["1"] = "18382",
					["2"] = "18376",
					["3"] = "18388",
					["4"] = "18373",
					["5"] = "18392",
					["6"] = "18396",
					["7"] = "18375",
					["8"] = "18378",
					["9"] = "18395",
					["10"] = "18380",
				},
				["Trash|T"] = {
					["1"] = "18340",
					["2"] = "18289",
					["3"] = "18338",
				},
				["Quest Reward|T"] = {
					["1"] = "18421",
					["2"] = "18420",
					["3"] = "18424",
				},
			},
			---------------------------------
			----------[[ 오닉시아의 둥지<공> ]]----------
			---------------------------------
			["Onyxia's Lair|R|11"] = {
				["Onyxia"] = {
					["1"] = "16955",
					["2"] = "16963",
					["3"] = "16914",
					["4"] = "16929",
					["5"] = "16947",
					["6"] = "16900",
					["7"] = "16921",
					["8"] = "16939",
					["9"] = "16908",
					["10"] = "18813",
					["11"] = "17078",
					["12"] = "17064",
					["13"] = "17068",
					["14"] = "17075",
					["15"] = "17067",
					["16"] = "18205",
				},
			},
			---------------------------------
			----------[[ 안퀴라즈(폐허)<공>(20명)-6네임드 ]]----------
			---------------------------------
			["Ruins of Ahn'Qiraj|R|12"] = {
				["Kurinnaxx|N|1)"] = {
					["1"] = "21500",
					["2"] = "21499",
					["3"] = "21498",
					["4"] = "21503",
					["5"] = "21502",
				--	["흐르는 모래의 손목보호대"] = {[1] = "드랍",[2] = "안퀴라즈(폐허)<공>",[3] = "쿠린낙스(1st)"},
					["7"] = "21501",
				},
				["Captains"] = {
					["1"] = "21810",
					["2"] = "21809",
					["3"] = "21806",
				},
				["General Rajaxx|N|2"] = {
					["1"] = "21493",
					["2"] = "21492",
					["3"] = "21494",
					["4"] = "21497",
					["5"] = "21496",
					["6"] = "21495",
				},
				["Lieutenant General Andorov|T|2"] = {
					["1"] = "22219",
					["2"] = "22221",
				},
				["Buru the Gorger|N|3"] = {
					["1"] = "21488",
					["2"] = "21490",
					["3"] = "21486",
					["4"] = "21485",
					["5"] = "21489",
					["6"] = "21487",
					["7"] = "21491",
				},
				["Ayamiss the Hunter|N|4"] = {
					["1"] = "21484",
					["2"] = "21466",
					["3"] = "21483",
					["4"] = "21478",
					["5"] = "21481",
					["6"] = "21482",
					["7"] = "21480",
				},
				["Moam|N|5"] = {
					["1"] = "21473",
					["2"] = "21477",
					["3"] = "21455",
					["4"] = "21469",
					["5"] = "21470",
					["6"] = "21472",
					["7"] = "21479",
					["8"] = "21474",
					["9"] = "21475",
					["10"] = "21476",
					["11"] = "21467",
					["12"] = "21471",
					["13"] = "21468",
					["14"] = "22220",
				},
				["Ossirian the Unscarred|B|6"] = {
					["1"] = "21464",
					["2"] = "21460",
					["3"] = "21456",
					["4"] = "21452",
					["5"] = "21462",
					["6"] = "21463",
					["7"] = "21457",
					["8"] = "21459",
					["9"] = "21715",
					["10"] = "21454",
					["11"] = "21458",
					["12"] = "21453",
					["13"] = "21461",
				},
				["Trash|T"] = {
					["1"] = "21801",
					["2"] = "21804",
					["3"] = "21800",
					["4"] = "21805",
					["5"] = "21802",
					["6"] = "21803",
				},
			},
			---------------------------------
			----------[[ 안퀴라즈(사원)<공>(40명)-8네임드? ]]----------
			---------------------------------
			["Temple of Ahn'Qiraj|R|13"] = {
				["The Prophet Skeram|N|1"] = {
					["1"] = "21703",
					["2"] = "21814",
					["3"] = "21699",
					["4"] = "21698",
					["5"] = "21702",
					["6"] = "21706",
					["7"] = "21701",
					["8"] = "21704",
					["9"] = "21705",
					["10"] = "21128",
					["11"] = "21700",
					["12"] = "21707",
					["13"] = "21708",
				},
				["Lord Kri|N|2"] = {
					["1"] = "21681",
					["2"] = "21685",
					["3"] = "21680",
					["4"] = "21603",
				},
				["Princess Yauj|N|2"] = {
					["1"] = "21687",
					["2"] = "21682",
					["3"] = "21683",
					["4"] = "21686",
					["5"] = "21684",
				},
				["Vem|N|2"] = {
					["1"] = "21689",
					["2"] = "21688",
					["3"] = "21691",
					["4"] = "21690",
				},
				["The Bug Family|N|2"] = {
					["1"] = "21692",
					["2"] = "21693",
					["3"] = "21694",
					["4"] = "21697",
					["5"] = "21696",
					["6"] = "21695",
				},
				["Battleguard Sartura|N|3"] = {
					["1"] = "21648",
					["2"] = "21666",
					["3"] = "21673",
					["4"] = "21678",
					["5"] = "21672",
					["6"] = "21669",
					["7"] = "21671",
					["8"] = "21670",
					["9"] = "21677",
					["10"] = "21674",
					["11"] = "21676",
					["12"] = "21667",
					["13"] = "21675",
				},
				["Fankriss the Unyielding|N|4"] = {
					["1"] = "22396",
					["2"] = "22402",
					["3"] = "21664",
					["4"] = "21650",
					["5"] = "21645",
					["6"] = "21663",
					["7"] = "21639",
					["8"] = "21647",
					["9"] = "21635",
					["10"] = "21652",
					["11"] = "21627",
					["12"] = "21665",
					["13"] = "21651",
				},
				["Viscidus|N|5"] = {
					["1"] = "22399",
					["2"] = "21625",
					["3"] = "21624",
					["4"] = "21623",
					["5"] = "21622",
					["6"] = "21626",
				},
				["Princess Huhuran|N|6"] = {
					["1"] = "21619",
					["2"] = "21620",
					["3"] = "21616",
					["4"] = "21617",
					["5"] = "21621",
					["6"] = "21618",
					["7"] = "20932",
					["8"] = "20928",
				},
				["Emperor Vek'nilash|N|7"] = {
					["1"] = "21679",
					["2"] = "21604",
					["3"] = "21605",
					["4"] = "21606",
					["5"] = "21607",
					["6"] = "21608",
					["7"] = "21609",
					["8"] = "20926",
					["9"] = "20726",
				},
				["Emperor Vek'lor|N|7"] = {
					["1"] = "21600",
					["2"] = "21598",
					["3"] = "21597",
					["4"] = "21601",
					["5"] = "21599",
					["6"] = "21602",
					["7"] = "20930",
					["8"] = "20735",
				},
				["Ouro|N|8"] = {
					["1"] = "21611",
					["2"] = "23557",
					["3"] = "21610",
					["4"] = "23558",
					["5"] = "21615",
					["6"] = "23570",
					["7"] = "20931",
					["8"] = "20927",
				},
				["C'Thun|B|9"] = {
					["1"] = "22732",
					["2"] = "21126",
					["3"] = "21583",
					["4"] = "21581",
					["5"] = "22730",
					["6"] = "22731",
					["7"] = "21582",
					["8"] = "21585",
					["9"] = "21134",
					["10"] = "21579",
					["11"] = "21839",
					["12"] = "21596",
					["13"] = "21586",
					["14"] = "20929",
					["15"] = "20933",
				},
				["Trash|T"] = {
					["1"] = "21891",
					["2"] = "21888",
					["3"] = "21838",
					["4"] = "21836",
					["5"] = "21837",
					["6"] = "21856",
				},
				["Quest Reward|T"] = {
					["1"] = "21244",
					["2"] = "21242",
					["3"] = "21272",
					["4"] = "21269",
					["5"] = "21268",
					["6"] = "21273",
					["7"] = "21275",
				},
			},
			["Old Hillsbrad Foothills|14"] = {
				["Lieutenant Drake|N|1"] = {
					["1"] = "27423",
					["2"] = "27436",
					["3"] = "27417",
					["4"] = "27418",
					["5"] = "27420",
				},
				["Captain Skarloc|N|2"] = {
					["1"] = "27428",
					["2"] = "27424",
					["3"] = "27430",
					["4"] = "27427",
					["5"] = "27426",
					["6"] = "22927",
				},
				["Epoch Hunter|B|3"] = {
					["1"] = "28401",
					["2"] = "27433",
					["3"] = "27431",
					["4"] = "27434",
					["5"] = "27432",
					["6"] = "27440",
					["7"] = "24173",
				},
				["Trash|T|4"] = {
					["1"] = "25725",
					["2"] = "25729",
				},
				["Quest Reward|T|5"] = {
					["1"] = "29317",
					["2"] = "29318",
					["3"] = "29316",
					["4"] = "29319",
				},
				["Vendor|T|6"] = {
					["1"] = "22539",
				},
			},
			["Old Hillsbrad Foothills-Hero|15"] = {
				["Lieutenant Drake|N|1"] = {
					["1"] = "28214",
					["2"] = "28213",
					["3"] = "28210",
					["4"] = "28212",
					["5"] = "28211",
					["6"] = "28215",
				},
				["Captain Skarloc|N|2"] = {
					["1"] = "28220",
					["2"] = "28218",
					["3"] = "28221",
					["4"] = "28216",
					["5"] = "28219",
					["6"] = "28217",
				},
				["Epoch Hunter|B|3"] = {
					["1"] = "28401",
					["2"] = "28226",
					["3"] = "29250",
					["4"] = "28223",
					["5"] = "28191",
					["6"] = "28224",
					["7"] = "29357",
					["8"] = "29246",
					["9"] = "30536",
					["10"] = "28233",
					["11"] = "28225",
					["12"] = "27911",
					["13"] = "30590",
					["14"] = "30589",
					["15"] = "30591",
				},
			},
			["The Black Morass|18"] = {
				["Chrono Lord Deja|N|1"] = {
					["1"] = "27993",
					["2"] = "27987",
					["3"] = "27995",
					["4"] = "27988",
					["5"] = "27996",
					["6"] = "27994",
					["7"] = "29675",
				},
				["Temporus|N|2"] = {
					["1"] = "28184",
					["2"] = "28187",
					["3"] = "28034",
					["4"] = "28186",
					["5"] = "28185",
					["6"] = "28033",
				},
				["Aeonus|B|3"] = {
					["1"] = "28206",
					["2"] = "28192",
					["3"] = "27509",
					["4"] = "27873",
					["5"] = "28193",
					["6"] = "28188",
					["7"] = "27839",
					["8"] = "27977",
					["9"] = "28189",
					["10"] = "28207",
					["11"] = "28190",
					["12"] = "28194",
				},
				["Trash|4"] = {
					["1"] = "25730",
				},
				["Quest Reward|5"] = {
					["1"] = "29320",
					["2"] = "29322",
					["3"] = "29321",
					["4"] = "29323",
				},
			},
			["The Black Morass-Hero|17"] = {
				["Aeonus|B|1"] = {
					["1"] = "29356",
					["2"] = "30531",
					["3"] = "29247",
					["4"] = "29253",
					["5"] = "30555",
					["6"] = "30558",
					["7"] = "30556",
				},
			},
		},
		["World Drop|T|2"] = {
			["Un'Goro Crater"] = {
				["Baron Charr"] = {
					["1"] = "18671",
				},
			},		
			["Silithus"] = {
				["The Windreaver"] = {
					["1"] = "18677",
					["2"] = "18676",
					["3"] = "21548",
				},
			},
			["Azshara"] = {
				["Avalanchion"] = {
					["1"] = "18674",
					["2"] = "18673",
				},
			},
			["Winterspring"] = {
				["Princess Tempestria"] = {
					["1"] = "18679",
					["2"] = "18678",
				},
			},
		},
	},
	["Outland|3"] = { -- 아웃랜드
		["Instance|1"] = {  -- 인스턴스..
			["Hellfire Ramparts|1"] = {  -- 지옥불 성루
				["Watchkeeper Gargolmar|1"] = {  -- 감시자 가르골마르
					["1"] = "24021",
					["2"] = "24020",
					["3"] = "24023",
					["4"] = "24024",
					["5"] = "24022",
				},
				["Vazruden|2"] = {
					["1"] = "24045",
					["2"] = "24154",
					["3"] = "24044",
					["4"] = "24083",
					["5"] = "24155",
					["6"] = "24064",
					["7"] = "24150",
					["8"] = "24151",
					["9"] = "24046",
					["10"] = "24063",
				},
				["Omor the Unscarred|B|3"] = {
					["1"] = "24096",
					["2"] = "24073",
					["3"] = "24094",
					["4"] = "24069",
					["5"] = "24091",
					["6"] = "24090",
				},
				["Trash|4"] = {
					["1"] = "23810",
				},
				["Quest Reward|5"] = {
					["1"] = "25716",
					["2"] = "25715",
					["3"] = "25717",
					["4"] = "25718",
				},
					
			},
			["Hellfire Ramparts-Hero|2"] = {  -- 영웅던전에 대해서는 영문명 에 -Hero를 붙여줍니다..
				["Watchkeeper Gargolmar|1"] = {
					["1"] = "27448",
					["2"] = "27449",
					["3"] = "27450",
					["4"] = "27451",
					["5"] = "27447",
				},
				["Vazruden|2"] = {
					["1"] = "27459",
					["2"] = "27460",
					["3"] = "27461",
					["4"] = "27455",
					["5"] = "29238",
					["6"] = "27456",
					["7"] = "27454",
					["8"] = "27452",
					["9"] = "29264",
					["10"] = "27457",
					["11"] = "29346",
					["12"] = "27453",
					["13"] = "30592",
					["14"] = "30594",
					["15"] = "30593",
				},
				["Omor the Unscarred|B|3"] = {
					["1"] = "27895",
					["2"] = "27906",
					["3"] = "27465",
					["4"] = "27466",
					["5"] = "27463",
					["6"] = "27462",
					["7"] = "27464",
					["8"] = "27467",
					["9"] = "27478",
					["10"] = "27476",
					["11"] = "27539",
					["12"] = "27477",
				},
			},
			["The Blood Furnace|3"] = {
				["The Maker|1"] = {
					["1"] = "24387",
					["2"] = "24384",
					["3"] = "24388",
					["4"] = "24385",
					["5"] = "24386",
				},
				["Broggok|2"] = {
					["1"] = "24389",
					["2"] = "24392",
					["3"] = "24391",
					["4"] = "24393",
					["5"] = "24390",
				},
				["Keli'dan the Breaker|B|3"] = {
					["1"] = "24396",
					["2"] = "24395",
					["3"] = "24394",
					["4"] = "24397",
					["5"] = "24398",
				},
				["Quest Reward|4"] = {
					["1"] = "25714",
					["2"] = "25713",
					["3"] = "25712",
					["4"] = "25701",
					["5"] = "25710",
					["6"] = "25702",
					["7"] = "25711",
				},
			},
			["The Blood Furnace-Hero|4"] = {
				["The Maker|1"] = {
					["1"] = "27484",
					["2"] = "27487",
					["3"] = "27483",
					["4"] = "27485",
					["5"] = "27488",
				},
				["Broggok|2"] = {
					["1"] = "27491",
					["2"] = "27490",
					["3"] = "27489",
					["4"] = "27492",
					["5"] = "27848",
				},
				["Keli'dan the Breaker|B|3"] = {
					["1"] = "29347",
					["2"] = "27512",
					["3"] = "27495",
					["4"] = "29245",
					["5"] = "27788",
					["6"] = "27507",
					["7"] = "28264",
					["8"] = "27505",
					["9"] = "29239",
					["10"] = "27514",
					["11"] = "27506",
					["12"] = "27497",
					["13"] = "27494",
					["14"] = "28121",
					["15"] = "30602",
					["16"] = "30601",
					["17"] = "30600",
				},
			},
			["The Shattered Halls|5"] = {
				["Grand Warlock Nethekurse|1"] = {
					["1"] = "27519",
					["2"] = "27520",
					["3"] = "27517",
					["4"] = "27521",
					["5"] = "27518",
					["6"] = "24312",
				},
				["Warbringer O'mrogg|2"] = {
					["1"] = "27868",
					["2"] = "27526",
					["3"] = "27524",
					["4"] = "27525",
					["5"] = "27802",
				},
				["Warchief Kargath Bladefist|B|3"] = {
					["1"] = "27540",
					["2"] = "27527",
					["3"] = "27538",
					["4"] = "27529",
					["5"] = "27531",
					["6"] = "27533",
					["7"] = "27534",
					["8"] = "27528",
					["9"] = "27537",
					["10"] = "27536",
					["11"] = "27535",
					["12"] = "27474",
				},
				["Quest Reward|4"] = {
					["1"] = "25810",
					["2"] = "25811",
					["3"] = "25809",
					["4"] = "25808",
					["5"] = "25791",
					["6"] = "25792",
					["7"] = "25788",
					["8"] = "25789",
					["9"] = "25790",
				},
				["Trash|5"] = {
					["1"] = "22554",
				},
			},
			["The Shattered Halls-Hero|6"] = {
				["Warchief Kargath Bladefist|B|1"] = {
					["1"] = "29263",
					["2"] = "29348",
					["3"] = "29255",
					["4"] = "30547",
					["5"] = "30546",
					["6"] = "30548",
				},
				["Blood Guard Porung|2"] = {
					["1"] = "30709",
					["2"] = "30708",
					["3"] = "30710",
					["4"] = "30705",
					["5"] = "30707",
				},
			},
			["Magtheridon's Lair|R|7"] = {
				["Magtheridon|B"] = {
					["1"] = "28781",
					["2"] = "28774",
					["3"] = "28789",
					["4"] = "28775",
					["5"] = "28778",
					["6"] = "29458",
					["7"] = "28780",
					["8"] = "28777",
					["9"] = "28783",
					["10"] = "28776",
					["11"] = "29755",
					["12"] = "29754",
					["13"] = "29753",
				},
			},
			["The Slave Pens|8"] = {
				["Mennu the Betrayer|1"] = {
					["1"] = "24361",
					["2"] = "24360",
					["3"] = "24356",
					["4"] = "24357",
					["5"] = "24359",
					["6"] = "29674",
				},
				["Quagmirran|2"] = {
					["1"] = "24363",
					["2"] = "24364",
					["3"] = "24362",
					["4"] = "24365",
					["5"] = "24366",
				},
				["Rokmar the Crackler|B|3"] = {
					["1"] = "24380",
					["2"] = "24381",
					["3"] = "24376",
					["4"] = "24378",
					["5"] = "24379",
				},
			},
			["The Slave Pens-Hero|9"] = {
				["Mennu the Betrayer|1"] = {
					["1"] = "27543",
					["2"] = "27542",
					["3"] = "27546",
					["4"] = "27541",
					["5"] = "27545",
					["6"] = "27544",
				},
				["Quagmirran|2"] = {
					["1"] = "27714",
					["2"] = "27672",
					["3"] = "29242",
					["4"] = "27740",
					["5"] = "27800",
					["6"] = "27673",
					["7"] = "27713",
					["8"] = "27683",
					["9"] = "27712",
					["10"] = "30538",
					["11"] = "27742",
					["12"] = "27741",
					["13"] = "28337",
					["14"] = "29349",
					["15"] = "27796",
					["16"] = "30605",
					["17"] = "30603",
					["18"] = "30604",
				},
				["Rokmar the Crackler|B|3"] = {
					["1"] = "27549",
					["2"] = "27548",
					["3"] = "27550",
					["4"] = "27547",
					["5"] = "27551",
					["6"] = "28124",
				},
			},
			["The Underbog|10"] = {
				["Hungarfen|1"] = {
					["1"] = "27631",
					["2"] = "24452",
					["3"] = "24413",
					["4"] = "24450",
					["5"] = "24451",
				},
				["Ghaz'an|2"] = {
					["1"] = "24460",
					["2"] = "24461",
					["3"] = "24459",
					["4"] = "24458",
					["5"] = "24462",
				},
				["Swamplord Musel'ek|3"] = {
					["1"] = "24453",
					["2"] = "24455",
					["3"] = "24454",
					["4"] = "24456",
					["5"] = "24457",
				},
				["The Black Stalker|B|4"] = {
					["1"] = "24481",
					["2"] = "24465",
					["3"] = "24464",
					["4"] = "24463",
					["5"] = "24466",
				},
				["Quest Reward|5"] = {
					["1"] = "28029",
					["2"] = "25540",
					["3"] = "25541",
					["4"] = "28109",
					["5"] = "28108",
					["6"] = "28111",
				},
			},
			["The Underbog-Hero|11"] = {
				["Hungarfen|1"] = {
					["1"] = "27748",
					["2"] = "27744",
					["3"] = "27747",
					["4"] = "27746",
					["5"] = "27745",
					["6"] = "27743",
				},
				["Ghaz'an|2"] = {
					["1"] = "27755",
					["2"] = "27760",
					["3"] = "27759",
					["4"] = "27757",
					["5"] = "27761",
					["6"] = "27758",
				},
				["Swamplord Musel'ek|3"] = {
					["1"] = "27767",
					["2"] = "27766",
					["3"] = "27763",
					["4"] = "27764",
					["5"] = "27765",
					["6"] = "27762",
				},
				["The Black Stalker|B|4"] = {
					["1"] = "29350",
					["2"] = "29265",
					["3"] = "30541",
					["4"] = "27769",
					["5"] = "27907",
					["6"] = "27779",
					["7"] = "27772",
					["8"] = "27770",
					["9"] = "27896",
					["10"] = "27773",
					["11"] = "27781",
					["12"] = "27771",
					["13"] = "27780",
					["14"] = "27938",
					["15"] = "27768",
					["16"] = "30608",
					["17"] = "30606",
					["18"] = "30607",
				},
			},
			["The Steamvault|12"] = {
				["Hydromancer Thespia|1"] = {
					["1"] = "27508",
					["2"] = "27783",
					["3"] = "27784",
					["4"] = "27787",
					["5"] = "27789",
					["6"] = "29673",
				},
				["Mekgineer Steamrigger|2"] = {
					["1"] = "27790",
					["2"] = "27793",
					["3"] = "27794",
					["4"] = "27792",
					["5"] = "27791",
					["6"] = "23887",
				},
				["Warlord Kalithresh|B|3"] = {
					["1"] = "28203",
					["2"] = "27475",
					["3"] = "27804",
					["4"] = "27805",
					["5"] = "27795",
					["6"] = "27738",
					["7"] = "27799",
					["8"] = "27806",
					["9"] = "27737",
					["10"] = "27510",
					["11"] = "27801",
					["12"] = "27874",
					["13"] = "24313",
				},
				["Quest Reward|4"] = {
					["1"] = "28182",
					["2"] = "28180",
					["3"] = "28181",
					["4"] = "28183",
				},
				["Trash|5"] = {
					["1"] = "24159",
				},
			},
			["The Steamvault-Hero|13"] = {
				["Warlord Kalithresh|B|1"] = {
					["1"] = "30543",
					["2"] = "29351",
					["3"] = "29243",
					["4"] = "29463",
					["5"] = "30550",
					["6"] = "30551",
					["7"] = "30549",
				},
			},
			["Serpentshrine Cavern|R|14"] = {
				["Hydross the Unstable|1"] = {
					["1"] = "30048",
					["2"] = "30054",
					["3"] = "30047",
				},
				["The Lurker Below|2"] = {
					["1"] = "30057",
					["2"] = "30059",
					["3"] = "30059",
				},
				["Leotheras the Blind|3"] = {
--						["1"] = "정조준의 추적자 손목띠",
				},
				["Fathom-Lord Karathress|4"] = {
					["1"] = "30025",
					["2"] = "30090",
				},
				["Morogrim Tidewalker|5"] = {
					["1"] = "30082",
				},
				["Lady Vashj|B|6"] = {
					["1"] = "30242",
					["2"] = "30244",
					["3"] = "30243",
					["4"] = "30112",
--					["5"] = "Fang of Varshi",
				},
				["Trash|7"] = {
					["1"] = "30021",
					["2"] = "30022",
				},
			},
			["Mana-Tombs|15"] = {
				["Pandemonius|1"] = {
					["1"] = "25940",
					["2"] = "28166",
					["3"] = "25943",
					["4"] = "25941",
					["5"] = "25939",
					["6"] = "25942",
				},
				["Tavarok|2"] = {
					["1"] = "25945",
					["2"] = "25944",
					["3"] = "25950",
					["4"] = "25946",
					["5"] = "25947",
					["6"] = "25952",
				},
				["Nexus-Prince Shaffar|B|3"] = {
					["1"] = "25953",
					["2"] = "25954",
					["3"] = "25962",
					["4"] = "25955",
					["5"] = "25956",
					["6"] = "25957",
					["7"] = "22921",
				},
				["Trash|4"] = {
					["1"] = "23615",
					["2"] = "22543",
				},
				["Quest Reward|5"] = {
					["1"] = "29345",
					["2"] = "29342",
					["3"] = "29344",
					["4"] = "29343",
					["5"] = "29327",
					["6"] = "29328",
					["7"] = "29325",
					["8"] = "29326",
				},
			},
			["Mana-Tombs-Hero|16"] = {
				["Pandemonius|1"] = {
					["1"] = "27817",
					["2"] = "27813",
					["3"] = "27814",
					["4"] = "27815",
					["5"] = "27818",
					["6"] = "27816",
				},
				["Tavarok|2"] = {
					["1"] = "27825",
					["2"] = "27822",
					["3"] = "27823",
					["4"] = "27821",
					["5"] = "27826",
					["6"] = "27824",
				},
				["Nexus-Prince Shaffar|B|3"] = {
					["1"] = "27840",
					["2"] = "30535",
					["3"] = "27798",
					["4"] = "27829",
					["5"] = "29252",
					["6"] = "27835",
					["7"] = "28400",
					["8"] = "27842",
					["9"] = "27843",
					["10"] = "27827",
					["11"] = "27837",
					["12"] = "27844",
					["13"] = "27828",
					["14"] = "29352",
					["15"] = "30583",
					["16"] = "30584",
		--				["17"] = "윤기 나는 불꽃 오팔",
				},
			},
			["Auchenai Crypts|17"] = {
				["Shirrak the Dead Watcher|1"] = {
					["1"] = "25964",
					["2"] = "27410",
					["3"] = "27408",
					["4"] = "27409",
					["5"] = "26055",
				},
				["Exarch Maladaar|B|2"] = {
					["1"] = "27413",
					["2"] = "27411",
					["3"] = "27416",
					["4"] = "27415",
					["5"] = "27414",
					["6"] = "27412",
				},
				["Trash|3"] = {
					["1"] = "23605",
					["2"] = "22544",
				},
				["Quest Reward|4"] = {
					["1"] = "29337",
					["2"] = "29341",
					["3"] = "29340",
					["4"] = "29339",
				},
			},
			["Auchenai Crypts-Hero|18"] = {
				["Shirrak the Dead Watcher|1"] = {
					["1"] = "27845",
					["2"] = "27847",
					["3"] = "27846",
					["4"] = "27865",
					["5"] = "27493",
					["6"] = "27866",
				},
				["Exarch Maladaar|B|2"] = {
					["1"] = "27867",
					["2"] = "29244",
					["3"] = "27872",
					["4"] = "29257",
					["5"] = "27869",
					["6"] = "29354",
					["7"] = "27870",
					["8"] = "27523",
					["9"] = "27871",
					["10"] = "30586",
					["11"] = "30587",
					["12"] = "30588",
				},
				["Avatar of the Martyred|3"] = {
					["1"] = "27937",
					["2"] = "27876",
					["3"] = "28268",
					["4"] = "27877",
					["5"] = "27878",
					["6"] = "27797",
				},
			},
			["Sethekk Halls|19"] = {
				["Darkweaver Syth|1"] = {
					["1"] = "27919",
					["2"] = "27914",
					["3"] = "27918",
					["4"] = "27916",
					["5"] = "27915",
					["6"] = "27917",
					["7"] = "24160",
				},
				["Talon King Ikiss|B|2"] = {
					["1"] = "27948",
					["2"] = "27875",
					["3"] = "27838",
					["4"] = "27946",
					["5"] = "27925",
					["6"] = "27986",
					["7"] = "27936",
					["8"] = "27776",
					["9"] = "27981",
					["10"] = "27985",
					["11"] = "27980",
					["12"] = "27991",
				},
				["Trash|3"] = {
					["1"] = "25731",
					["2"] = "29669",
				},
				["Quest Reward|4"] = {
					["1"] = "29330",
					["2"] = "29332",
					["3"] = "29329",
					["4"] = "29336",
					["5"] = "29335",
					["6"] = "29333",
					["7"] = "29334",
				},
			},
			["Sethekk Halls-Hero|20"] = {
				["Talon King Ikiss|B|1"] = {
					["1"] = "29249",
					["2"] = "29259",
					["3"] = "29355",
					["4"] = "30552",
					["5"] = "30554",
					["6"] = "30553",
				},
			},
			["Shadow Labyrinth|21"] = {
				["Ambassador Hellmaw|1"] = {
					["1"] = "27888",
					["2"] = "27887",
					["3"] = "27885",
					["4"] = "27884",
					["5"] = "27886",
					["6"] = "27889",
				},
				["Blackheart the Inciter|2"] = {
					["1"] = "27468",
					["2"] = "27892",
					["3"] = "27891",
					["4"] = "27890",
					["5"] = "28134",
					["6"] = "27893",
					["7"] = "25728",
				},
				["Grandmaster Vorpil|3"] = {
					["1"] = "27897",
					["2"] = "27898",
					["3"] = "27901",
					["4"] = "27775",
					["5"] = "27900",
				},
				["Murmur|B|4"] = {
					["1"] = "27903",
					["2"] = "28230",
					["3"] = "28232",
					["4"] = "27778",
					["5"] = "27910",
					["6"] = "27912",
					["7"] = "27909",
					["8"] = "27908",
					["9"] = "27803",
					["10"] = "27902",
					["11"] = "27913",
					["12"] = "27905",
					["13"] = "24309",
				},
				["Trash|5"] = {
					["1"] = "23607",
				},
				["Quest Reward|6"] = {
					["1"] = "28174",
					["2"] = "28170",
					["3"] = "28171",
					["4"] = "28167",
					["5"] = "28179",
					["6"] = "28177",
					["7"] = "28178",
					["8"] = "28176",
				},
			},
			["Shadow Labyrinth-Hero|22"] = {
				["Murmur|B"] = {
					["1"] = "29261",
					["1"] = "29353",
					["2"] = "29241",
					["3"] = "30532",
					["4"] = "30559",
					["5"] = "30563",
					["6"] = "30560",
		--				["7"] = "주문 파괴자의 부적",
				},
			},
			["Gruul's Lair|R|23"] = {
				["Gruul the Dragonkiller|B|1"] = {
					["1"] = "28823",
					["2"] = "28826",
					["3"] = "28822",
					["4"] = "28810",
					["5"] = "28804",
					["6"] = "28830",
					["7"] = "28802",
					["8"] = "28828",
					["9"] = "28794",
					["10"] = "28803",
					["11"] = "28827",
					["12"] = "28824",
					["13"] = "28825",
				},
				["High King Maulgar|B|2"] = {
					["1"] = "28800",
					["2"] = "28796",
					["3"] = "28801",
					["4"] = "28795",
					["5"] = "28799",
					["6"] = "28797",
					["7"] = "29762",
					["8"] = "29763",
					["9"] = "29764",
				},

			},
			["The Mechanar|24"] = {
				["Cache of the Legion|1"] = {
					["1"] = "28248",
					["2"] = "28251",
					["3"] = "28252",
					["4"] = "28249",
					["5"] = "28250",
				},
				["Mechano-Lord Capacitus|2"] = {
					["1"] = "28256",
					["2"] = "28257",
					["3"] = "28255",
					["4"] = "28253",
					["5"] = "28254",
				},
				["Nethermancer Sepethrea|3"] = {
					["1"] = "28263",
					["2"] = "28258",
					["3"] = "28259",
					["4"] = "28262",
					["5"] = "28260",
				},
				["Pathaleon the Calculator|B|4"] = {
					["1"] = "28267",
					["2"] = "27899",
					["3"] = "28285",
					["4"] = "28204",
					["5"] = "28202",
					["6"] = "28278",
					["7"] = "28275",
					["8"] = "28269",
					["9"] = "28286",
					["10"] = "28265",
					["11"] = "28266",
					["12"] = "28288",
					["13"] = "21907",
				},
				["Trash|5"] = {
					["1"] = "21906",
					["2"] = "22920",
				},
			},
			["The Mechanar-Hero|25"] = {
				["Pathaleon the Calculator|B|1"] = {
					["1"] = "29362",
					["2"] = "29251",
					["3"] = "30533",
					["4"] = "30564",
					["5"] = "30565",
					["6"] = "30566",
				},
			},
			["The Botanica|26"] = {
				["Commander Sarannis|1"] = {
					["1"] = "28311",
					["2"] = "28304",
					["3"] = "28296",
					["4"] = "28301",
					["5"] = "28306",
				},
				["High Botanist Freywinn|2"] = {
					["1"] = "28318",
					["2"] = "28317",
					["3"] = "28316",
					["4"] = "28315",
					["5"] = "28321",
					["6"] = "23617",
				},
				["Thorngrin the Tender|3"] = {
					["1"] = "28327",
					["2"] = "28322",
					["3"] = "28323",
					["4"] = "28324",
					["5"] = "28325",
					["6"] = "24310",
				},
				["Laj|4"] = {
					["1"] = "28328",
					["2"] = "27739",
					["3"] = "28339",
					["4"] = "28338",
					["5"] = "28340",
				},
				["Warp Splinter|B|5"] = {
					["1"] = "28348",
					["2"] = "28229",
					["3"] = "28350",
					["4"] = "28228",
					["5"] = "28349",
					["6"] = "28371",
					["7"] = "28367",
					["8"] = "28370",
					["9"] = "28345",
					["10"] = "28342",
					["11"] = "28347",
					["12"] = "28341",
					["13"] = "28343",
					["14"] = "24311",
				},
				["Trash|6"] = {
					["1"] = "24172",
				},
			},
			["The Botanica-Hero|27"] = {
				["Warp Splinter|B"] = {
					["1"] = "29262",
					["2"] = "29359",
					["3"] = "29258",
					["4"] = "30573",
					["5"] = "30574",
					["6"] = "30572",
				},
			},
			["The Arcatraz|28"] = {
				["Zereketh the Unbound|1"] = {
					["1"] = "28384",
					["2"] = "28375",
					["3"] = "28372",
					["4"] = "28373",
					["5"] = "28374",
				},
				["Wrath-Scryer Soccothrates|2"] = {
					["1"] = "28397",
					["2"] = "28396",
					["3"] = "28398",
					["4"] = "28393",
					["5"] = "28394",
				},
				["Dalliah the Doomsayer|3"] = {
					["1"] = "28392",
					["2"] = "28386",
					["3"] = "28391",
					["4"] = "28387",
					["5"] = "28390",
					["6"] = "24308",
				},
				["Harbinger Skyriss|B|4"] = {
					["1"] = "28413",
					["2"] = "28415",
					["3"] = "28414",
					["4"] = "28205",
					["5"] = "28406",
					["6"] = "28416",
					["7"] = "28412",
					["8"] = "28419",
					["9"] = "28418",
					["10"] = "28231",
					["11"] = "28403",
					["12"] = "28407",
				},
				["Trash|5"] = {
					["1"] = "29672",
					["2"] = "21905",
					["3"] = "23606",
					["4"] = "22556",
				},
			},
			["The Arcatraz-Hero|29"] = {
				["Harbinger Skyriss|B"] = {
					["1"] = "29248",
					["2"] = "30534",
					["3"] = "29360",
					["4"] = "29254",
					["5"] = "30575",
					["6"] = "30581",
					["7"] = "30582",
				},
			},
		},
	},	
}

WhoDropFieldData = {
	["Eastern Kingdoms|1"] = { -- 동부 왕국
	},
	["Kalimdor|2"] ={ -- 칼림도어
	},
	["Outland|3"] = { -- 아웃랜드
		["Hellfire Peninsula"] = {  -- 지옥불 반도
			["Sergeant Shatterskull|H|1"] = {  -- 퀘스트 NPC, 상인명칭, 이름 뒤에 |H(호드)나 |A(얼라이언스) 붙여서 진영을 표시한다.
				["Felspark Ravine"] ={   --- 퀘스트 이름..
					["1"] = "29908",
					["2"] = "29909",
					["3"] = "29910",
					["4"] = "29913",
					["5"] = "29911",
				},
			},
			["Forward Commander To'arch|H|2"] = {
				["Disrupt Their Reinforcements"] = {
					["1"] = "29946",
					["2"] = "29927",
					["3"] = "29939",
					["4"] = "29935",
					["5"] = "29932",
				},
				["Mission: Gateways Murketh and Shaadraz"] = {
					["1"] = "29944",
					["2"] = "29929",
					["3"] = "29937",
					["4"] = "29942",
				},
				["Mission: The Abyssal Shelf"] = {
					["1"] = "29926",
					["2"] = "29940",
					["3"] = "29936",
					["4"] = "29933",
				},
			},
			["Vurtok Axebreaker|H|3"] = {
				["Bonechewer Blood"] = {
					["1"] = "29915",
					["2"] = "29919",
					["3"] = "29914",
					["4"] = "29917",
					["5"] = "29916",
				},
			},
			["Apothecary Antonivich|H|4"] = {
				["The Demoniac Scryer"] = {
					["1"] = "31715",
				},
			},
			["Nazgrel|H|5"] = {
				["The Foot of the Citadel"] = {
					["1"] = "31720",
					["2"] = "31719",
					["3"] = "31717",
					["4"] = "31718",
				},
				["Cruel's Intentions"] = {
					["1"] = "28040",
					["2"] = "28041",
					["3"] = "28042",
				},
			},
			["Gorkan Bloodfist|H|6"] = {
				["Envoy to the Mag'har"] = {
					["1"] = "25510",
					["2"] = "25512",
					["3"] = "25511",
					["4"] = "25513",
				},
			},
			["Megzeg Nukklebust|H|7"] = {
				["I Work~~~ For the Horde!"] = {
					["1"] = "29945",
					["2"] = "29931",
					["3"] = "29938",
					["4"] = "29943",
				},
				["Burn It Up~~~ For the Horde!"] = {
					["1"] = "29928",
					["2"] = "29930",
					["3"] = "29934",
					["4"] = "29941",
				},
			},
			["Ranger Captain Venn'ren|H|8"] = {
				["Marking the Path"] = {
					["1"] = "25502",
					["2"] = "25502",
					["3"] = "25504",
				},
			},
			["Ryathen the Somber|H|9"] = {
				["The Cleansing Must Be Stopped"] = {
					["1"] = "25500",
					["2"] = "25501",
					["3"] = "25499",
				},
			},
			["Magistrix Carinda|H|10"] = {
				["Arelion's Mistress"] = {
					["1"] = "25505",
				},
			},
			["Apothecary Azethen|H|11"] = {
				["Source of the Corruption"] = {
					["1"] = "25914",
					["2"] = "25915",
					["3"] = "25913",
				},
			},
			["Taleris Dawngazer|H|12"] = {
				["A Pilgrim's Plight"] = {
					["1"] = "25781",
					["2"] = "25782",
					["3"] = "25783",
				},
			},
			["Wanted Poster|H|13"] = {
				["Wanted: Blacktalon the Savage"] = {
					["1"] = "27732",
					["2"] = "27731",
				},
			},
			["Zezzak|H|14"] = {
				["Grillok \"Darkeye\""] = {
					["1"] = "28057",
					["2"] = "28051",
					["3"] = "28050",
					["4"] = "28052",
					["5"] = "28055",
				},
			},
			["Ogath the Mad|H|15"] = {
				["From the Abyss"] = {
					["1"] = "29399",
					["2"] = "29398",
					["3"] = "29400",
				},
			},
			["Althen the Historian|H|16"] = {
				["Honor the Fallen"] = {
					["1"] = "29108",
					["2"] = "29109",
				},
			},
			["Earthcaller Ryga|H|17"] = {
				["Administering the Salve"] = {
					["1"] = "25492",
					["2"] = "25494",
					["3"] = "25495",
					["4"] = "25496",
					["5"] = "29212",
				},
			},
			["Sergeant Altumus|A|18"] = {
				["The Path of Anguish"] ={
					["1"] = "29908",
					["2"] = "29909",
					["3"] = "29910",
					["4"] = "29913",
					["5"] = "29911",
				},
			},
			["Forward Commander Kingston|A|19"] = {
				["Disrupt Their Reinforcements"] = {
					["1"] = "29946",
					["2"] = "29927",
					["3"] = "29939",
					["4"] = "29935",
					["5"] = "29932",
				},
			},
			["Lieutenant Amadi|A|20"] = {
				["Fel Orc Scavengers"] = {
					["1"] = "29915",
					["2"] = "29919",
					["3"] = "29914",
					["4"] = "29917",
					["5"] = "29916",
				},
			},
			["Force Commander Danath Trollbane|A|21"] = {
				["Drill the Drillmaster"] = {
					["1"] = "31720",
					["2"] = "31719",
					["3"] = "31717",
					["4"] = "31718",
				},
			},
			["Dumphry|A|22"] = {
				["Waste Not, Want Not"] = {
					["1"] = "29945",
					["2"] = "29931",
					["3"] = "29938",
					["4"] = "29943",
				},
				["Laying Waste to the Unwanted"] = {
					["1"] = "29928",
					["2"] = "29930",
					["3"] = "29934",
					["4"] = "29941",
				},
			},
			["Warp-Scryer Kryv|A|23"] = {
				["Overlord"] = {
					["1"] = "28040",
					["2"] = "28041",
					["3"] = "28042",
				},
			},
			["Wing Commander Dabir'ee|A|24"] = {
				["Zeth'Gor Must Burn!"] = {
					["1"] = "28057",
					["2"] = "28051",
					["3"] = "28050",
					["4"] = "28052",
					["5"] = "28055",
				},
			},
			["Honor Guard Wesilow|A|25"] = {
				["Looking to the Leadership"] = {
					["1"] = "25989",
					["2"] = "25992",
					["3"] = "25993",
				},
			},
			["Foreman Biggums|A|26"] = {
				["A Job for an Intelligent Man"] = {
					["1"] = "25785",
					["2"] = "25784",
				},
				["The Mastermind"] = {
					["1"] = "25984",
					["2"] = "25982",
					["3"] = "25983",
				},
			},
			["Makuru|A|27"] = {
				["Makuru's Vengeance"] = {
					["1"] = "25920",
					["2"] = "25919",
					["3"] = "25921",
				},
			},
			["Amaan the Wise|A|28"] = {
				["The Seer's Relic"] = {
					["1"] = "25508",
					["2"] = "25506",
					["3"] = "25507",
				},
				["Cleansing the Waters"] = {
					["1"] = "25484",
					["2"] = "25485",
					["3"] = "25486",
				},
			},
			["Ikan|A|29"] = {
				["The Rock Flayer Matriarch"] = {
					["1"] = "25480",
					["2"] = "25479",
					["3"] = "25478",
				},
			},
			["Mirren Longbeard|A|30"] = {
				["The Finest Down"] = {
					["1"] = "23587",
				},
			},
			["Foreman Razelcraz|31"] = {
				["Beneath Thrallmar"] = {
					["1"] = "30855",
					["2"] = "30856",
					["3"] = "30857",
				},
			},
			["Thiah Redmane|32"] = {
				["Testing the Antidote"] = {
					["1"] = "25985",
					["2"] = "25986",
					["3"] = "25987",
				},
			},
			["Tola'thion|33"] = {
				["Colossal Menace"] = {
					["1"] = "28064",
					["2"] = "28062",
					["3"] = "28065",
					["4"] = "28063",
					["5"] = "28066",
				},
			},
			["\"Screaming\" Screed Luckheed|34"] = {
				["In Case of Emergency~~~"] = {
					["1"] = "25980",
					["2"] = "25981",
					["3"] = "25979",
				},
				["Voidwalkers Gone Wild"] = {
					["1"] = "25786",
					["2"] = "25787",
				},
			},
			["Avruu's Orb|35"] = {
				["Avruu's Orb"] = {
					["1"] = "25489",
					["2"] = "25488",
					["3"] = "25487",
				},
			},
			["Earthbinder Galandria Nightbreeze|36"] = {
				["Natural Remedies"] = {
					["1"] = "28069",
					["2"] = "28070",
					["3"] = "28074",
					["4"] = "28075",
				},
			},
		},
	},
}

WhoDropEtcData = {
	["Reputaion|4"] = {
		["Original"] = {
			["Argent Dawn|1"] = {
				["Warrior"] = {
					["1"] = "22418|"..BB["Thaddius"],
					["2"] = "22419|"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22416|"..BB["The Four Horsemen"],
					["4"] = "22423|"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22421|"..BB["Maexxna"],
					["6"] = "22422|"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22417|"..BB["Loatheb"],
					["8"] = "22420|"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23059|"..BB["Kel'Thuzad"],
				},
				["Rogue"] = {
					["1"] = "22478|"..BB["Thaddius"],
					["2"] = "22479|"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22476|"..BB["The Four Horsemen"],
					["4"] = "22483|"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22481|"..BB["Maexxna"],
					["6"] = "22482|"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22477|"..BB["Loatheb"],
					["8"] = "22480|"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23060|"..BB["Kel'Thuzad"],
				},
				["Priest"] = {
					["1"] = "22514|"..BB["Thaddius"],
					["2"] = "22515|"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22512|"..BB["The Four Horsemen"],
					["4"] = "22519|"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22517|"..BB["Maexxna"],
					["6"] = "22518|"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22513|"..BB["Loatheb"],
					["8"] = "22516|"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23061|"..BB["Kel'Thuzad"],
				},
				["Paladin"] = {
					["1"] = "22428|"..BB["Thaddius"],
					["2"] = "22429|"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22425|"..BB["The Four Horsemen"],
					["4"] = "22424|"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22426|"..BB["Maexxna"],
					["6"] = "22431|"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22427|"..BB["Loatheb"],
					["8"] = "22430|"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23066|"..BB["Kel'Thuzad"],
				},
				["Mage"] = {
					["1"] = "22498|"..BB["Thaddius"],
					["2"] = "22499|"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22496|"..BB["The Four Horsemen"],
					["4"] = "22503|"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22501|"..BB["Maexxna"],
					["6"] = "22502|"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22497|"..BB["Loatheb"],
					["8"] = "22500|"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23062|"..BB["Kel'Thuzad"],
				},
				["Shaman"] = {
					["1"] = "22466|"..BB["Thaddius"],
					["2"] = "22467|"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22464|"..BB["The Four Horsemen"],
					["4"] = "22471|"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22469|"..BB["Maexxna"],
					["6"] = "22470|"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22465|"..BB["Loatheb"],
					["8"] = "22468|"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23065|"..BB["Kel'Thuzad"],
				},
				["Hunter"] = {
					["1"] = "22438|"..BB["Thaddius"],
					["2"] = "22439|"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22436|"..BB["The Four Horsemen"],
					["4"] = "22443|"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22441|"..BB["Maexxna"],
					["6"] = "22442|"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22437|"..BB["Loatheb"],
					["8"] = "22440|"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],

				},
				["Warlock"] = {
					["1"] = "22506|"..BB["Thaddius"],
					["2"] = "22507|"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22504|"..BB["The Four Horsemen"],
					["4"] = "22511|"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22509|"..BB["Maexxna"],
					["6"] = "22510|"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22505|"..BB["Loatheb"],
					["8"] = "22508|"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23063|"..BB["Kel'Thuzad"],
				},
				["Druid"] = {
					["1"] = "22490|"..BB["Thaddius"],
					["2"] = "22491|"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22488|"..BB["The Four Horsemen"],
					["4"] = "22495|"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22493|"..BB["Maexxna"],
					["6"] = "22494|"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22489|"..BB["Loatheb"],
					["8"] = "22492|"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23064|"..BB["Kel'Thuzad"],
				},
			},
			["Zandalar Tribe|2"] = {
				["Priest"] = {
					["1"] = "19843|"..L["Primal Hakkari Stanchion"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19842|"..L["Primal Hakkari Sash"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19841|"..L["Primal Hakkari Aegis"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19594|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19958",
				},
				["Paladin"] = {
					["1"] = "19827|"..L["Primal Hakkari Bindings"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19826|"..L["Primal Hakkari Shawl"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19825|"..L["Primal Hakkari Tabard"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19952|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19588",
				},
				["Mage"] = {
					["1"] = "19846|"..L["Primal Hakkari Bindings"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19845|"..L["Primal Hakkari Shawl"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "20034|"..L["Primal Hakkari Kossack"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19601|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19959",
				},
				["Warlock"] = {
					["1"] = "19848|"..L["Primal Hakkari Stanchion"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19849|"..L["Primal Hakkari Sash"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "20033|"..L["Primal Hakkari Kossack"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19605|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19957",
				},
				["Druid"] = {
					["1"] = "19840|"..L["Primal Hakkari Stanchion"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19839|"..L["Primal Hakkari Sash"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19838|"..L["Primal Hakkari Tabard"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19613|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19955",
				},
				["Warrior"] = {
					["1"] = "19824|"..L["Primal Hakkari Armsplint"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19823|"..L["Primal Hakkari Girdle"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19822|"..L["Primal Hakkari Kossack"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19577|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19951",
				},
				["Rogue"] = {
					["1"] = "19836|"..L["Primal Hakkari Armsplint"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19835|"..L["Primal Hakkari Girdle"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19834|"..L["Primal Hakkari Aegis"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19617|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19954",
				},
				["Hunter"] = {
					["1"] = "19833|"..L["Primal Hakkari Bindings"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19832|"..L["Primal Hakkari Shawl"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19831|"..L["Primal Hakkari Aegis"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19621|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19953",
				},
				["Shaman"] = {
					["1"] = "19830|"..L["Primal Hakkari Armsplint"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19829|"..L["Primal Hakkari Girdle"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19828|"..L["Primal Hakkari Tabard"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19609|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19956",
				},
				["Tailoring|1"] = {
					["1"] = "19766|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19765|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19764|"..BF["Zandalar Tribe"].." "..BF["Revered"],
				},
				["Leatherworking|2"] = {  
					["1"] = "19771|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19770|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19773|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["4"] = "19769|"..BF["Zandalar Tribe"].." "..BF["Revered"],
					["5"] = "19772|"..BF["Zandalar Tribe"].." "..BF["Revered"],
				},
				["Blacksmithing|3"] = {
					["1"] = "19778|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19781|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["3"] = "19777|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["4"] = "19780|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["5"] = "19776|"..BF["Zandalar Tribe"].." "..BF["Revered"],
					["6"] = "19779|"..BF["Zandalar Tribe"].." "..BF["Revered"],

				},
				["Engineering|4"] = {
					["1"] = "20001|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "20000|"..BF["Zandalar Tribe"].." "..BF["Honored"],
				},
				["Alchemy|5"] = {
					["1"] = "20012|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "20014|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "20011|"..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "20013|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
				},
				["Enchanting|6"] = {
					["1"] = "20757|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "20756|"..BF["Zandalar Tribe"].." "..BF["Honored"],
				},
				["Vendor|7"] = {
				},
			},
			["Thorium Brotherhood|3"] = {
			},
			["Cenarion Circle|4"] = {
				["Warrior"] = {
					["1"] = "21394|"..L["Qiraji Martial Drape"].."/"..BF["Cenarion Circle"].." "..BF["Revered"],
					["2"] = "21392|"..L["Qiraji Spiked Hilt"].."/"..BF["Cenarion Circle"].." "..BF["Exalted"],
					["3"] = "21393|"..L["Qiraji Magisterial Ring"].."/"..BF["Cenarion Circle"].." "..BF["Honored"],
				},
				["Rogue"] = {
					["1"] = "21405|"..L["Qiraji Ceremonial Ring"].."/"..BF["Cenarion Circle"].." "..BF["Honored"],
					["2"] = "21404|"..L["Qiraji Spiked Hilt"].."/"..BF["Cenarion Circle"].." "..BF["Exalted"],
					["3"] = "21406|"..L["Qiraji Martial Drape"].."/"..BF["Cenarion Circle"].." "..BF["Revered"],
				},
				["Mage"] = {
					["1"] = "21414|"..L["Qiraji Magisterial Ring"].."/"..BF["Cenarion Circle"].." "..BF["Honored"],
					["2"] = "21413|"..L["Qiraji Ornate Hilt"].."/"..BF["Cenarion Circle"].." "..BF["Exalted"],
					["3"] = "21415|"..L["Qiraji Martial Drape"].."/"..BF["Cenarion Circle"].." "..BF["Revered"],
				},
				["Priest"] = {
					["1"] = "21412|"..L["Qiraji Ceremonial Ring"].."/"..BF["Cenarion Circle"].." "..BF["Revered"],
					["2"] = "21411|"..L["Qiraji Magisterial Ring"].."/"..BF["Cenarion Circle"].." "..BF["Honored"],
					["3"] = "21410|"..L["Qiraji Ornate Hilt"].."/"..BF["Cenarion Circle"].." "..BF["Exalted"],
				},
				["Paladin"] = {
					["1"] = "21397|"..L["Qiraji Regal Drape"].."/"..BF["Cenarion Circle"].." "..BF["Revered"],
					["2"] = "21396|"..L["Qiraji Magisterial Ring"].."/"..BF["Cenarion Circle"].." "..BF["Honored"],
					["3"] = "21395|"..L["Qiraji Spiked Hilt"].."/"..BF["Cenarion Circle"].." "..BF["Exalted"],
				},
				["Shaman"] = {
					["1"] = "21400|"..L["Qiraji Regal Drape"].."/"..BF["Cenarion Circle"].." "..BF["Revered"],
					["2"] = "21399|"..L["Qiraji Magisterial Ring"].."/"..BF["Cenarion Circle"].." "..BF["Honored"],
					["3"] = "21398|"..L["Qiraji Spiked Hilt"].."/"..BF["Cenarion Circle"].." "..BF["Exalted"],
				},
				["Hunter"] = {
					["1"] = "21402|"..L["Qiraji Ceremonial Ring"].."/"..BF["Cenarion Circle"].." "..BF["Honored"],
					["2"] = "21403|"..L["Qiraji Regal Drape"].."/"..BF["Cenarion Circle"].." "..BF["Revered"],
					["3"] = "21401|"..L["Qiraji Spiked Hilt"].."/"..BF["Cenarion Circle"].." "..BF["Exalted"],
				},
				["Warlock"] = {
					["1"] = "21417|"..L["Qiraji Ceremonial Ring"].."/"..BF["Cenarion Circle"].." "..BF["Honored"],
					["2"] = "21416|"..L["Qiraji Ornate Hilt"].."/"..BF["Cenarion Circle"].." "..BF["Exalted"],
					["3"] = "21418|"..L["Qiraji Regal Drape"].."/"..BF["Cenarion Circle"].." "..BF["Revered"],
				},
				["Druid"] = {
					["1"] = "21408|"..L["Qiraji Regal Drape"].."/"..BF["Cenarion Circle"].." "..BF["Revered"],
					["2"] = "21409|"..L["Qiraji Magisterial Ring"].."/"..BF["Cenarion Circle"].." "..BF["Honored"],
					["3"] = "21407|"..L["Qiraji Ornate Hilt"].."/"..BF["Cenarion Circle"].." "..BF["Exalted"],
				},
			},
			["Timbermaw Hold|5"] = {
			},
			["Brood of Nozdormu|6"] = {
				["Warrior"] = {
					["1"] = "21330|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["2"] = "21333|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["3"] = "21329|"..BB["Emperor Vek'nilash"],
					["4"] = "21332|"..BB["Ouro"],
					["5"] = "21331|"..BB["C'Thun"],
				},
				["Rogue"] = {
					["1"] = "21361|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["2"] = "21359|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["3"] = "21360|"..BB["Emperor Vek'lor"],
					["4"] = "21362|"..BB["Ouro"],
					["5"] = "21364|"..BB["C'Thun"],
				},
				["Priest"] = {
					["1"] = "21350|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["2"] = "21349|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["3"] = "21352|"..BB["Ouro"],
					["4"] = "21348|"..BB["Emperor Vek'nilash"],
					["5"] = "21351|"..BB["C'Thun"],
				},
				["Paladin"] = {
					["1"] = "21391|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["2"] = "21388|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["3"] = "21387|"..BB["Emperor Vek'nilash"],
					["4"] = "21390|"..BB["Ouro"],
					["5"] = "21389|"..BB["C'Thun"],
				},
				["Mage"] = {
					["1"] = "21345|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["2"] = "21344|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["3"] = "21346|"..BB["Ouro"],
					["4"] = "21347|"..BB["Emperor Vek'nilash"],
					["5"] = "21343|"..BB["C'Thun"],
				},
				["Shaman"] = {
					["1"] = "21376|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["2"] = "21373|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["3"] = "21375|"..BB["Ouro"],
					["4"] = "21372|"..BB["Emperor Vek'nilash"],
					["5"] = "21374|"..BB["C'Thun"],
				},
				["Hunter"] = {
					["1"] = "21367|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["2"] = "21365|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["3"] = "21366|"..BB["Emperor Vek'lor"],
					["4"] = "21368|"..BB["Ouro"],
					["5"] = "21370|"..BB["C'Thun"],
				},
				["Druid"] = {
					["1"] = "21354|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["2"] = "21355|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["3"] = "21356|"..BB["Ouro"],
					["4"] = "21353|"..BB["Emperor Vek'lor"],
					["5"] = "21357|"..BB["C'Thun"],
				},
				["Warlock"] = {
					["1"] = "21335|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["2"] = "21338|"..BB["Princess Huhuran"].."/"..BB["Viscidus"],
					["3"] = "21336|"..BB["Ouro"],
					["4"] = "21337|"..BB["Emperor Vek'nilash"],
					["5"] = "21334|"..BB["C'Thun"],
				},
			},
			["Darkmoon Faire|7"] = {
			},
			["Wintersaber Trainers|8"] = {
			},
		},
		["Expantion"] = {
			["The Aldor|1"] = { 
				["Inscription|1"] = {  
					["1"] = "28878|".."-"..L["Holy Dust"].." 2",
					["2"] = "28881|".."-"..L["Holy Dust"].." 2",
					["3"] = "28882|".."-"..L["Holy Dust"].." 2",
					["4"] = "28885|".."-"..L["Holy Dust"].." 2",
					["5"] = "28887|".."-"..L["Holy Dust"].." 8",
					["6"] = "28886|".."-"..L["Holy Dust"].." 8",
					["7"] = "28889|".."-"..L["Holy Dust"].." 8",
					["8"] = "28888|".."-"..L["Holy Dust"].." 8",
				},
				["Leatherworking|2"] = {
					["1"] = "29693",
					["2"] = "29691",
					["3"] = "29689",
					["4"] = "29704",
					["5"] = "29703",
					["6"] = "29702",
					["7"] = "25721",
				},
				["Blacksmithing|3"] = {
					["1"] = "23601",
					["2"] = "23603",
					["3"] = "23604",
					["4"] = "23602",
				},
				["Jewelcrafting|4"] = {
					["1"] = "23149",
					["2"] = "23145",
					["3"] = "24177",
				},
				["Tailoring|5"] = {
					["1"] = "30842",
					["2"] = "30843",
					["3"] = "30844",
					["4"] = "24293",
					["5"] = "24295",
				},
				["Vendor|6"] = {
					["1"] = "29129",
					["2"] = "29130",
					["3"] = "29127",
					["4"] = "29128",
					["5"] = "29123",
					["6"] = "29124",
					["7"] = "31779",
				},   
			},
			["The Scryers|2"] = { -- 점술가 길드
				["Inscription|1"] = {  
					["1"] = "28904|"..BF["The Scryers"].." "..BF["Honored"].."-"..L["Arcane Rune"].." 2",
					["2"] = "28903|"..BF["The Scryers"].." "..BF["Honored"].."-"..L["Arcane Rune"].." 2",
					["3"] = "28908|"..BF["The Scryers"].." "..BF["Honored"].."-"..L["Arcane Rune"].." 2",
					["4"] = "28907|"..BF["The Scryers"].." "..BF["Honored"].."-"..L["Arcane Rune"].." 2",
					["5"] = "28912|"..BF["The Scryers"].." "..BF["Exalted"].."-"..L["Arcane Rune"].." 8",
					["6"] = "28909|"..BF["The Scryers"].." "..BF["Exalted"].."-"..L["Arcane Rune"].." 8",
					["7"] = "28911|"..BF["The Scryers"].." "..BF["Exalted"].."-"..L["Arcane Rune"].." 8",
					["8"] = "28910|"..BF["The Scryers"].." "..BF["Exalted"].."-"..L["Arcane Rune"].." 8",
				},
				["Leatherworking|2"] = {
					["1"] = "29682|"..BF["The Scryers"].." "..BF["Honored"],
					["2"] = "29684|"..BF["The Scryers"].." "..BF["Revered"],
					["3"] = "29677|"..BF["The Scryers"].." "..BF["Exalted"],
					["4"] = "29701|"..BF["The Scryers"].." "..BF["Honored"],
					["5"] = "29700|"..BF["The Scryers"].." "..BF["Revered"],
					["6"] = "29698|"..BF["The Scryers"].." "..BF["Exalted"],
					["7"] = "25722|"..BF["The Scryers"].." "..BF["Revered"],
				},
				["Blacksmithing|3"] = {
					["1"] = "23597|"..BF["The Scryers"].." "..BF["Friendly"],
					["2"] = "23598|"..BF["The Scryers"].." "..BF["Honored"],
					["3"] = "23599|"..BF["The Scryers"].." "..BF["Revered"],
					["4"] = "23600|"..BF["The Scryers"].." "..BF["Exalted"],
				},
				["Alchemy|4"] = {
					["1"] = "22908|"..BF["The Scryers"].." "..BF["Revered"],
				},
				["Jewelcrafting|5"] = {
					["1"] = "23133|"..BF["The Scryers"].." "..BF["Friendly"],
					["2"] = "23143|"..BF["The Scryers"].." "..BF["Honored"],
					["3"] = "24176|"..BF["The Scryers"].." "..BF["Revered"],
				},
				["Tailoring|6"] = {
					["1"] = "24292|"..BF["The Scryers"].." "..BF["Honored"],
					["2"] = "24294|"..BF["The Scryers"].." "..BF["Exalted"],
				},
				["Vendor|7"] = {
					["1"] = "29133|"..BF["The Scryers"].." "..BF["Revered"],
					["2"] = "29134|"..BF["The Scryers"].." "..BF["Revered"],
					["3"] = "29131|"..BF["The Scryers"].." "..BF["Revered"],
					["4"] = "29132|"..BF["The Scryers"].." "..BF["Revered"],
					["5"] = "29125|"..BF["The Scryers"].." "..BF["Exalted"],
					["6"] = "29126|"..BF["The Scryers"].." "..BF["Exalted"],
					["7"] = "31780|"..BF["The Scryers"].." "..BF["Exalted"],
				},       
			},
			["Honor Hold|A|3"] = { 
				["Leatherworking|1"] = {  
					["1"] = "29213",
					["2"] = "29214",
					["3"] = "29215",
					["4"] = "29719",
					["5"] = "29722",
				},
				["Blacksmithing|2"] = {
					["1"] = "23619",
				},
				["Alchemy|3"] = {
					["1"] = "22905",
					["2"] = "25870",
				},
				["Jewelcrafting|4"] = {
					["1"] = "23142",
					["2"] = "24180",
				},
				["Enchanting|5"] = {
					["1"] = "22531",
					["2"] = "22547",
				},
				["Inscription|6"] = {
					["1"] = "29196",
					["2"] = "29189",
					["3"] = "30622",
				},
				["Vendor|7"] = {
					["1"] = "24008",
					["2"] = "24007",
					["3"] = "25825",
					["4"] = "25826",
					["5"] = "29166",
					["6"] = "29169",
					["7"] = "29151",
					["8"] = "29153",
					["9"] = "29156",
					["10"] = "23999",
				},
			},
			["Thrallmar|H|3"] = { 
				["Leatherworking|1"] = {  
					["1"] = "25738|"..BF["Thrallmar"].." "..BF["Friendly"],
					["2"] = "31361|"..BF["Thrallmar"].." "..BF["Friendly"],
					["3"] = "25739|"..BF["Thrallmar"].." "..BF["Honored"],
					["4"] = "25740|"..BF["Thrallmar"].." "..BF["Honored"],
					["5"] = "31362|"..BF["Thrallmar"].." "..BF["Exalted"],
				},
				["Blacksmithing|2"] = {
					["1"] = "240020|"..BF["Thrallmar"].." "..BF["Exalted"],
				},
				["Alchemy|3"] = {
					["1"] = "24001|"..BF["Thrallmar"].." "..BF["Honored"],
					["2"] = "29232|"..BF["Thrallmar"].." "..BF["Honored"],
				},
				["Jewelcrafting|4"] = {
					["1"] = "31359|"..BF["Thrallmar"].." "..BF["Friendly"],
					["2"] = "31358|"..BF["Thrallmar"].." "..BF["Revered"],
				},
				["Enchanting|5"] = {
					["1"] = "24000|"..BF["Thrallmar"].." "..BF["Friendly"],
					["2"] = "24003|"..BF["Thrallmar"].." "..BF["Revered"],
				},
				["Inscription|6"] = {
					["1"] = "29190|"..BF["Thrallmar"].." "..BF["Revered"],
					["2"] = "29197|"..BF["Thrallmar"].." "..BF["Revered"],
				},
				["Vendor|7"] = {
					["1"] = "24009|"..BF["Thrallmar"].." "..BF["Friendly"],
					["2"] = "24006|"..BF["Thrallmar"].." "..BF["Friendly"],
					["3"] = "25824|"..BF["Thrallmar"].." "..BF["Honored"],
					["4"] = "25823|"..BF["Thrallmar"].." "..BF["Honored"],
					["5"] = "29168|"..BF["Thrallmar"].." "..BF["Revered"],
					["6"] = "29167|"..BF["Thrallmar"].." "..BF["Revered"],
					["7"] = "30637|"..BF["Thrallmar"].." "..BF["Revered"],
					["8"] = "29155|"..BF["Thrallmar"].." "..BF["Exalted"],
					["9"] = "29152|"..BF["Thrallmar"].." "..BF["Exalted"],
					["10"] = "29165|"..BF["Thrallmar"].." "..BF["Exalted"],
					["11"] = "24004|"..BF["Thrallmar"].." "..BF["Exalted"],

				},
			},
			["Cenarion Expedition|4"] = { 
				["Leatherworking|1"] = {  
					["1"] = "25737",
					["2"] = "25736",
					["3"] = "25735",
					["4"] = "29720",
					["5"] = "29721",
				},
				["Blacksmithing|2"] = {
					["1"] = "31392",
					["2"] = "31391",
					["3"] = "31390",
					["4"] = "23618",
					["5"] = "25526",
					["6"] = "28632",
				},
				["Alchemy|3"] = {
					["1"] = "31356",
					["2"] = "22922",
					["3"] = "22918",
					["4"] = "25869",
				},
				["Jewelcrafting|4"] = {
					["1"] = "24183",
					["2"] = "31402",
				},
				["Enchanting|5"] = {
					["1"] = "28271",
				},
				["Engineering|6"] = {
					["1"] = "23814",
				},
				["Vendor|7"] = {
					["1"] = "24429",
					["2"] = "29194",
					["3"] = "29192",
					["4"] = "24417",
					["5"] = "24412",
					["6"] = "25838",
					["7"] = "25835",
					["8"] = "25836",
					["9"] = "29173",
					["10"] = "29174",
					["11"] = "29172",
					["12"] = "29170",
					["13"] = "29171",
					["14"] = "30623",
					["15"] = "31804",
				},
			},
			["The Sha'tar|5"] = { 
				["Leatherworking|1"] = {  
					["1"] = "29717|"..BF["The Sha'tar"].." "..BF["Exalted"],
				},
				["Alchemy|2"] = {
					["1"] = "13517|"..BF["The Sha'tar"].." "..BF["Revered"],
					["2"] = "31354|"..BF["The Sha'tar"].." "..BF["Exalted"],
					["3"] = "22915|"..BF["The Sha'tar"].." "..BF["Revered"],
				},
				["Jewelcrafting|3"] = {
					["1"] = "25904|"..BF["The Sha'tar"].." "..BF["Friendly"],
					["2"] = "30826|"..BF["The Sha'tar"].." "..BF["Honored"],
					["3"] = "24182|"..BF["The Sha'tar"].." "..BF["Revered"],
				},
				["Enchanting|4"] = {
					["1"] = "28273|"..BF["The Sha'tar"].." "..BF["Honored"],
					["2"] = "28281|"..BF["The Sha'tar"].." "..BF["Revered"],
					["3"] = "22537|"..BF["The Sha'tar"].." "..BF["Revered"],
				},
				["Vendor|5"] = {
					["1"] = "29195|"..BF["The Sha'tar"].." "..BF["Honored"],
					["2"] = "29191|"..BF["The Sha'tar"].." "..BF["Revered"],
					["3"] = "29179|"..BF["The Sha'tar"].." "..BF["Revered"],
					["4"] = "29180|"..BF["The Sha'tar"].." "..BF["Revered"],
					["5"] = "29175|"..BF["The Sha'tar"].." "..BF["Exalted"],
					["6"] = "29176|"..BF["The Sha'tar"].." "..BF["Exalted"],
					["7"] = "29177|"..BF["The Sha'tar"].." "..BF["Exalted"],
					["8"] = "30634|"..BF["The Sha'tar"].." "..BF["Revered"],
					["9"] = "31781|"..BF["The Sha'tar"].." "..BF["Exalted"],
				},
			},
			["Lower City|6"] = { 
				["Alchemy|1"] = {
					["1"] = "31357|"..BF["Lower City"].." "..BF["Exalted"],
					["2"] = "22910|"..BF["Lower City"].." "..BF["Revered"],
				},
				["Jewelcrafting|2"] = {
					["1"] = "23138|"..BF["Lower City"].." "..BF["Friendly"],
					["2"] = "24175|"..BF["Lower City"].." "..BF["Revered"],
					["3"] = "24179|"..BF["Lower City"].." "..BF["Revered"],
				},
				["Tailoring|3"] = {
					["1"] = "30833|"..BF["Lower City"].." "..BF["Honored"],
				},
				["Vendor|4"] = {
					["1"] = "29199|"..BF["Lower City"].." "..BF["Honored"],
					["2"] = "30846|"..BF["Lower City"].." "..BF["Revered"],
					["3"] = "30836|"..BF["Lower City"].." "..BF["Revered"],
					["4"] = "30841|"..BF["Lower City"].." "..BF["Revered"],
					["5"] = "30835|"..BF["Lower City"].." "..BF["Revered"],
					["6"] = "30832|"..BF["Lower City"].." "..BF["Exalted"],
					["7"] = "30830|"..BF["Lower City"].." "..BF["Exalted"],
					["8"] = "30834|"..BF["Lower City"].." "..BF["Exalted"],
					["9"] = "30633|"..BF["Lower City"].." "..BF["Revered"],
					["10"] = "31778|"..BF["Lower City"].." "..BF["Exalted"],
				},
			},
			["Keepers of Time|7"] = { 
				["Leatherworking|1"] = {  
					["1"] = "29713",
				},     
				["Alchemy|2"] = {
					["1"] = "31355",
				},
				["Jewelcrafting|3"] = {
					["1"] = "25910",
					["2"] = "24174",
					["3"] = "24181",
				},
				["Enchanting|4"] = {
					["1"] = "28272",
					["2"] = "22536",
				},
				["Inscription|5"] = {
					["1"] = "29198",
					["2"] = "29186",
				},
				["Vendor|6"] = {
					["3"] = "29184",
					["4"] = "29185",
					["5"] = "29181",
					["6"] = "29182",
					["7"] = "29183",
				},
				["Key|7"] = {
					["8"] = "30635",
				},
			},
			["The Mag'har|H|8"] = { 
				["Leatherworking|1"] = {
					["1"] = "25741|"..BF["The Mag'har"].." "..BF["Friendly"],
					["2"] = "25742|"..BF["The Mag'har"].." "..BF["Honored"],
					["3"] = "29664|"..BF["The Mag'har"].." "..BF["Honored"],
					["4"] = "25743|"..BF["The Mag'har"].." "..BF["Revered"],
				},     
				["Alchemy|2"] = {
					["1"] = "22917|"..BF["The Mag'har"].." "..BF["Revered"],
				},
				["Mount|3"] = {
					["1"] = "31829|"..BF["The Mag'har"].." "..BF["Exalted"],
					["2"] = "31831|"..BF["The Mag'har"].." "..BF["Exalted"],
					["3"] = "31833|"..BF["The Mag'har"].." "..BF["Exalted"],
					["4"] = "31835|"..BF["The Mag'har"].." "..BF["Exalted"],
					["5"] = "29102|"..BF["The Mag'har"].." "..BF["Exalted"],
					["6"] = "29104|"..BF["The Mag'har"].." "..BF["Exalted"],
					["7"] = "29105|"..BF["The Mag'har"].." "..BF["Exalted"],
					["8"] = "29103|"..BF["The Mag'har"].." "..BF["Exalted"],
				},
				["Vendor|4"] = {
					["1"] = "29143|"..BF["The Mag'har"].." "..BF["Honored"],
					["2"] = "29141|"..BF["The Mag'har"].." "..BF["Revered"],
					["3"] = "29145|"..BF["The Mag'har"].." "..BF["Revered"],
					["4"] = "29147|"..BF["The Mag'har"].." "..BF["Revered"],
					["5"] = "29139|"..BF["The Mag'har"].." "..BF["Exalted"],
					["6"] = "29137|"..BF["The Mag'har"].." "..BF["Exalted"],
					["7"] = "29135|"..BF["The Mag'har"].." "..BF["Exalted"],
					["8"] = "31773|"..BF["The Mag'har"].." "..BF["Exalted"],
				},
			},
			["Kurenai|A|8"] = { 
				["Leatherworking|1"] = {  
					["1"] = "29217",
					["2"] = "29219",
					["3"] = "29218",
					["4"] = "30444",
				},     
				["Alchemy|2"] = {
					["1"] = "30443",
				},
				["Mount|3"] = {
					["1"] = "29230",
					["2"] = "31834",
					["3"] = "29227",
					["4"] = "31830",
					["5"] = "29229",
					["6"] = "31832",
					["7"] = "29231",
					["8"] = "31836",
				},
				["Vendor|4"] = {
					["1"] = "29142",
					["2"] = "29146",
					["3"] = "29136",
					["4"] = "29138",
					["5"] = "29140",
					["6"] = "31774",
				},
			},
			["Sporeggar|9"] = {
				["Alchemy|1"] = {
					["1"] = "22916|"..BF["Sporeggar"].." "..BF["Revered"],
					["2"] = "22906|"..BF["Sporeggar"].." "..BF["Exalted"],
				},
				["Vendor|2"] = {
					["1"] = "25548|"..BF["Sporeggar"].." "..BF["Friendly"],
					["2"] = "25550|"..BF["Sporeggar"].." "..BF["Honored"],
					["3"] = "25827|"..BF["Sporeggar"].." "..BF["Honored"],
					["4"] = "25828|"..BF["Sporeggar"].." "..BF["Honored"],
					["5"] = "29149|"..BF["Sporeggar"].." "..BF["Revered"],
					["6"] = "29150|"..BF["Sporeggar"].." "..BF["Revered"],
				},
			},
			["The Consortium|10"] = {
				["Leatherworking|1"] = {  
					["1"] = "25732",
					["2"] = "25733",
					["3"] = "25734",
				},
				["Enchanting|2"] = {
					["1"] = "28274",
					["2"] = "22535",
				},
				["Jewelcrafting|3"] = {
					["1"] = "23155",
					["2"] = "23136",
					["3"] = "23150",
					["4"] = "23134",
					["5"] = "23146",
					["6"] = "25908",
					["7"] = "24178",
					["8"] = "25902",		 -- 카라잔 내 NPC 이스야르
					["9"] = "25903",		 -- 카라잔 내 NPC 이스야르
				},
				["Tailoring|4"] = {
					["1"] = "24314",
				},
				["Vendor|5"] = {
					["1"] = "29457",
					["2"] = "31776",
					["3"] = "29117",
					["4"] = "29456",
					["5"] = "29115",
					["6"] = "29121",
					["7"] = "29119",
					["8"] = "29122",
					["9"] = "29116",
					["10"] = "29118",
				},
			},
			["The Scale of the Sands|11"] = {
				["Enchanting|1"] = {
					["1"] = "22538",
				},
				["Arrow|2"] = {
					["1"] = "31737",
					["2"] = "31735",
				},
			},
			["The Violet Eye|12"] = {
				["Inscription|1"] = {  
					["1"] = "29187",
				},
				["Jewelcrafting|2"] = {
					["1"] = "31401",
				},
				["Blacksmithing|3"] = {
					["1"] = "31395",
					["2"] = "31393",
					["3"] = "31394",
				},
			},

		},
	},
	["Gear Set|6"] = {
		["Dungeon"] = {
			["Scarlet Monastery"] = {
				["Chain of the Scarlet Crusade"] = {
					["1"] = "10330",
					["2"] = "10328",
					["3"] = "10331",
					["4"] = "10329",
					["5"] = "10332",
					["6"] = "10333",
				},
			},
                        ["T3|7"] = {
				["Priest"] = {
					["1"] = "28413",
					["2"] = "27775",
					["3"] = "28230",
					["4"] = "27536",
					["5"] = "27875",
				},
				["Paladin"] = {
					["1"] = "28285",
					["2"] = "27739",
					["3"] = "28203",
					["4"] = "27535",
					["5"] = "27839",
				},
				["Mage"] = {
					["1"] = "28278",
					["2"] = "27738",
					["3"] = "28229",
					["4"] = "27508",
					["5"] = "27838",				
				},
				["Warlock"] = {
					["1"] = "28415",
					["2"] = "27778",
					["3"] = "28232",
					["4"] = "27537",
					["5"] = "27948",	
				},
				["Druid"] = {
					["1"] = "28348",
					["2"] = "27737",
					["3"] = "28202",
					["4"] = "27468",
					["5"] = "27873",
				},
				["Warrior"] = {
					["1"] = "28350",
					["2"] = "27803",
					["3"] = "28205",
					["4"] = "27475",
					["5"] = "27977",
				},
				["Rogue"] = {
					["1"] = "28414",
					["2"] = "27776",
					["3"] = "28204",
					["4"] = "27509",
					["5"] = "27908",
				},
				["Hunter"] = {
					["1"] = "28275",
					["2"] = "27801",
					["3"] = "28228",
					["4"] = "27474",
					["5"] = "27874",
				},
				["Shaman"] = {
					["1"] = "28349",
					["2"] = "27802",
					["3"] = "28231",
					["4"] = "27510",
					["5"] = "27909",
				},
				["Cloth|10"] = {
					["1"] = "28193",
					["2"] = "27796",
					["3"] = "28191",
					["4"] = "27465",
					["5"] = "27907",
				},
				["Leather|11"] = {
					["1"] = "28224",
					["2"] = "27797",
					["3"] = "28264",
					["4"] = "27531",
					["5"] = "27837",
				},
				["Mail|12"] = {
					["1"] = "28192",
					["2"] = "27713",
					["3"] = "28401",
					["4"] = "27528",
					["5"] = "27936",
				},
				["Plate|13"] = {
					["1"] = "28225",
					["2"] = "27771",
					["3"] = "28403",
					["4"] = "27497",
					["5"] = "27870",
				},
			},
		},
		["Raid"] = {
                        ["T1|1"] = {
				["Priest"] = {
					["1"] = "16813|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16816|"..BZ["Molten Core"].."-"..BB["Sulfuron Harbinger"],
					["3"] = "16815|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16819|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16812|"..BZ["Molten Core"].."-"..BB["Gehennas"],
					["6"] = "16817|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16814|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16811|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
				},
				["Paladin"] = {
					["1"] = "16854|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16856|"..BZ["Molten Core"].."-"..BB["Baron Geddon"],
					["3"] = "16853|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16857|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16860|"..BZ["Molten Core"].."-"..BB["Gehennas"],
					["6"] = "16858|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16855|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16859|"..BZ["Molten Core"].."-"..BB["Lucifron"],
				},
				["Mage"] = {
					["1"] = "16795|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16797|"..BZ["Molten Core"].."-"..BB["Baron Geddon"],
					["3"] = "16798|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16799|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16801|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
					["6"] = "16802|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16796|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16800|"..BZ["Molten Core"].."-"..BB["Lucifron"],
				},
				["Warlock"] = {
					["1"] = "16808|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16807|"..BZ["Molten Core"].."-"..BB["Baron Geddon"],
					["3"] = "16809|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16804|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16805|"..BZ["Molten Core"].."-"..BB["Lucifron"],
					["6"] = "16806|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16810|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16803|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
				},
				["Druid"] = {
					["1"] = "16834|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16836|"..BZ["Molten Core"].."-"..BB["Baron Geddon"],
					["3"] = "16833|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16830|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16831|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
					["6"] = "16828|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16835|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16829|"..BZ["Molten Core"].."-"..BB["Lucifron"],
				},
				["Warrior"] = {
					["1"] = "16866|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16868|"..BZ["Molten Core"].."-"..BB["Sulfuron Harbinger"],
					["3"] = "16865|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16861|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16863|"..BZ["Molten Core"].."-"..BB["Lucifron"],
					["6"] = "16864|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16867|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16862|"..BZ["Molten Core"].."-"..BB["Gehennas"],
				},
				["Rogue"] = {
					["1"] = "16821|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16823|"..BZ["Molten Core"].."-"..BB["Sulfuron Harbinger"],
					["3"] = "16820|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16825|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16826|"..BZ["Molten Core"].."-"..BB["Gehennas"],
					["6"] = "16827|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16822|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16824|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
				},
				["Hunter"] = {
					["1"] = "16846|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16848|"..BZ["Molten Core"].."-"..BB["Sulfuron Harbinger"],
					["3"] = "16845|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16850|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16852|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
					["6"] = "16851|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16847|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16849|"..BZ["Molten Core"].."-"..BB["Gehennas"],
				},
				["Shaman"] = {
					["1"] = "16842|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16844|"..BZ["Molten Core"].."-"..BB["Baron Geddon"],
					["3"] = "16841|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16840|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16839|"..BZ["Molten Core"].."-"..BB["Gehennas"],
					["6"] = "16838|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16843|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16837|"..BZ["Molten Core"].."-"..BB["Lucifron"],
				},
			},
                        ["T2|2"] = {
				["Priest"] = {
					["1"] = "16921|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16924|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16923|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16926|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16920|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16925|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16922|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16919|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Paladin"] = {
					["1"] = "16955|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16953|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16958|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16951|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16956|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16952|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16954|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16957|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Mage"] = {
					["1"] = "16914|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16917|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16916|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16918|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16913|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16818|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16915|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16912|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Warlock"] = {
					["1"] = "16929|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16932|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16931|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16934|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16928|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16933|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16930|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16927|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Druid"] = {
					["1"] = "16900|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16902|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16897|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16904|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16899|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16903|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16901|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16898|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Warrior"] = {
					["1"] = "16963|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16961|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16966|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16959|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16964|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16960|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16962|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16965|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Rogue"] = {
					["1"] = "16908|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16832|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16905|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16911|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16907|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16910|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16909|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16906|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Hunter"] = {
					["1"] = "16939|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16937|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16942|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16935|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16940|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16936|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16938|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16941|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Shaman"] = {
					["1"] = "16947|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16945|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16950|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16943|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16948|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16944|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16946|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16949|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
			},
                        ["T2~5|3"] = {
				["Priest"] = {
					["1"] = "21348|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21350|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21351|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21352|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21349|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Paladin"] = {
					["1"] = "21387|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21391|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21389|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21390|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21388|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Mage"] = {
					["1"] = "21347|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21345|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21343|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21346|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21344|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Warlock"] = {
					["1"] = "21337|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21335|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21334|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21336|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21338|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Druid"] = {
					["1"] = "21353|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'lor"],
					["2"] = "21354|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21357|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21356|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21355|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Warrior"] = {
					["1"] = "21329|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21330|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21331|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21332|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21333|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Rogue"] = {
					["1"] = "21360|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'lor"],
					["2"] = "21361|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21364|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21362|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21359|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Hunter"] = {
					["1"] = "21366|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'lor"],
					["2"] = "21367|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21370|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21368|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21365|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Shaman"] = {
					["1"] = "21372|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21376|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21374|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21375|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21373|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
			},
                        ["T3|4"] = {
				["Priest"] = {
					["1"] = "22514|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22515|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22512|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22519|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22517|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22518|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22513|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22516|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23061|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Paladin"] = {
					["1"] = "22428|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22429|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22425|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22424|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22426|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22431|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22427|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22430|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23066|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Mage"] = {
					["1"] = "22498|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22499|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22496|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22503|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22501|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22502|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22497|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22500|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23062|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Warlock"] = {
					["1"] = "22506|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22507|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22504|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22511|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22509|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22510|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22513|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22505|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23063|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Druid"] = {
					["1"] = "22490|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22491|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22488|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22495|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22493|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22494|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22489|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22492|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23064|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Warrior"] = {
					["1"] = "22418|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22419|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22416|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22423|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22421|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22422|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22417|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22420|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23059|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Rogue"] = {
					["1"] = "22478|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22479|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22476|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22483|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22481|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22482|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22477|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22480|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23060|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Hunter"] = {
					["1"] = "22438|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22439|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22436|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22443|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22441|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22442|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22437|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22440|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23067|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Shaman"] = {			
					["9"] = "23065|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},				
			},
                        ["T4|5"] = {
				["Priest"] = {
					["1"] = "29049|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29054|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29050|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29055|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29053|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29058|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29060|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29056|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29057|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29059|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Paladin"] = {
					["1"] = "29061|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29064|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29062|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29065|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29063|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29073|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29075|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29071|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29072|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29074|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29068|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29070|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29068|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29067|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29069|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Mage"] = {
					["1"] = "29076|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29079|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29077|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29080|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29078|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Warlock"] = {
					["1"] = "28963|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "28967|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "28964|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "28968|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "28966|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Druid"] = {
					["1"] = "29086|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29089|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29087|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29090|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29088|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29098|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29100|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29096|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29097|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29099|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29093|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29095|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29091|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29092|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29094|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Warrior"] = {
					["1"] = "29011|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29016|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29012|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29017|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29015|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29021|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29023|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29019|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29020|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29022|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Rogue"] = {
					["1"] = "29044|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29047|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29045|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29048|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29046|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Hunter"] = {
					["1"] = "29081|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29084|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29082|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29085|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29083|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Shaman"] = {
					["1"] = "29028|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29031|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29029|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29032|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29030|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29040|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29043|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29038|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29039|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29042|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29035|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29037|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29033|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29034|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29036|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
			},
                        ["T4|5"] = {
				["Priest"] = {
					["1"] = "29049|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29054|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29050|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29055|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29053|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29058|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29060|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29056|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29057|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29059|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Paladin"] = {
					["1"] = "29061|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29064|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29062|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29065|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29063|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29073|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29075|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29071|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29072|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29074|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29068|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29070|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29068|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29067|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29069|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Mage"] = {
					["1"] = "29076|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29079|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29077|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29080|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29078|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Warlock"] = {
					["1"] = "28963|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "28967|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "28964|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "28968|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "28966|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Druid"] = {
					["1"] = "29086|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29089|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29087|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29090|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29088|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29098|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29100|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29096|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29097|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29099|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29093|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29095|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29091|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29092|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29094|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Warrior"] = {
					["1"] = "29011|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29016|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29012|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29017|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29015|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29021|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29023|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29019|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29020|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29022|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Rogue"] = {
					["1"] = "29044|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29047|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29045|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29048|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29046|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Hunter"] = {
					["1"] = "29081|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29084|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29082|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29085|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29083|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Shaman"] = {
					["1"] = "29028|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29031|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29029|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29032|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29030|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29040|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29043|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29038|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29039|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29042|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29035|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29037|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29033|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29034|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29036|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
			},
                        ["T5|6"] = {
				["Priest"] = {
				},
				["Paladin"] = {
				},
				["Mage"] = {
				},
				["Warlock"] = {
				},
				["Druid"] = {
					["1"] = "30219|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["2"] = "30221",
					["3"] = "30216",
					["4"] = "30217|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["5"] = "30220|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
					["6"] = "30228|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["7"] = "30230",
					["8"] = "30222",
					["9"] = "30223|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["10"] = "30229|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
					["11"] = "30233|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["12"] = "30235",
					["13"] = "30231",
					["14"] = "30232|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["15"] = "30234|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
				},
				["Warrior"] = {
					["1"] = "30115|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["2"] = "30117",
					["3"] = "30113",
					["4"] = "30114|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["5"] = "30116|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
					["6"] = "30120|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["7"] = "30122",
					["8"] = "30118",
					["9"] = "30119|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["10"] = "30121|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
				},
				["Rogue"] = {
				},
				["Hunter"] = {
					["1"] = "30141|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["2"] = "30143",
					["3"] = "30139",
					["4"] = "30140|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["5"] = "30142|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
				},
				["Shaman"] = {
					["1"] = "30166|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["2"] = "30168",
					["3"] = "30164",
					["4"] = "30165|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["5"] = "30167|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
					["6"] = "30190|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["7"] = "30194",
					["8"] = "30185",
					["9"] = "30189|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["10"] = "30192|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
					["11"] = "30171|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["12"] = "30173",
					["13"] = "30169",
					["14"] = "30170|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["15"] = "30172|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
				},
			},
		},
	},
	["PvP|5"] = {
		["Arena"] = {
                        ["Vendor|1"] = {
				["Priest"] = {
					["1"] = "27708|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "27710|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "27711|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "27707|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "27709|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["6"] = "31410|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["7"] = "31412|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["8"] = "31413|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["9"] = "31409|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["10"] = "31411|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Paladin"] = {
					["1"] = "31616|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "31619|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "31613|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "31614|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "31618|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["6"] = "27704|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["7"] = "27706|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["8"] = "27702|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["9"] = "27703|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["10"] = "27705|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["11"] = "27881|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["12"] = "27883|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["13"] = "27879|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["14"] = "27880|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["15"] = "27882|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Mage"] = {
					["1"] = "25855|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "25854|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "25856|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "25857|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "25858|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Warlock"] = {
					["1"] = "30187|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "30186|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "30200|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "30188|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "30201|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["6"] = "24553|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["7"] = "24554|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["8"] = "24552|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["9"] = "24556|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["10"] = "24555|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Druid"] = {
					["1"] = "31376|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "31378|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "31379|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "31375|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "31377|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["6"] = "28127|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["7"] = "28129|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["8"] = "28130|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["9"] = "28126|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["10"] = "28128|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["11"] = "28137|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["12"] = "28139|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["13"] = "28140|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["14"] = "28136|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["15"] = "28138|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Warrior"] = {
					["1"] = "24545|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "24546|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "24544|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "24549|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "24547|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Rogue"] = {
					["1"] = "25830|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "25832|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "25831|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "25834|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "25833|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Hunter"] = {
					["1"] = "28331|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "28333|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "28334|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "28335|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "28332|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Shaman"] = {
					["1"] = "31400|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "31407|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "31396|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "31397|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "31406|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["6"] = "25998|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["7"] = "25999|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["8"] = "25997|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["9"] = "26000|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["10"] = "26001|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["11"] = "27471|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["12"] = "27473|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["13"] = "27469|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["14"] = "27470|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["15"] = "27472|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},	
				["Weapon|10"] = {
					["1"] = "28305|"..L["Arena"].." "..L["Point"].." 2625"..L["p"],
					["2"] = "28302|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["3"] = "28313|"..L["Arena"].." "..L["Point"].." 2625"..L["p"],
					["4"] = "28314|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "28308|"..L["Arena"].." "..L["Point"].." 2625"..L["p"],
					["6"] = "28309|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["7"] = "28295|"..L["Arena"].." "..L["Point"].." 2625"..L["p"],
					["8"] = "28307|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["9"] = "28312|"..L["Arena"].." "..L["Point"].." 2625"..L["p"],
					["10"] = "28310|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["11"] = "28476|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["12"] = "28299|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["13"] = "28294|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["14"] = "28298|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["15"] = "24550|"..L["Arena"].." "..L["Point"].." 3750"..L["p"],
					["16"] = "24557|"..L["Arena"].." "..L["Point"].." 3750"..L["p"],
					["17"] = "28358|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["18"] = "28346|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["19"] = "28357|"..L["Arena"].." "..L["Point"].." 1000"..L["p"],
					["20"] = "28355|"..L["Arena"].." "..L["Point"].." 1000"..L["p"],
					["21"] = "28356|"..L["Arena"].." "..L["Point"].." 1000"..L["p"],
					["22"] = "28319|"..L["Arena"].." "..L["Point"].." 1000"..L["p"],
					["23"] = "28320|"..L["Arena"].." "..L["Point"].." 1000"..L["p"],
					["24"] = "28297|"..L["Arena"].." "..L["Point"].." 3750"..L["p"],
					["25"] = "28300|"..L["Arena"].." "..L["Point"].." 3750"..L["p"],
				},			
			},			
		},
		["BattelGrount"] = {
			["The Defilers|H|5"] = {
			},
			["Frostwolf Clan|H|1"] = {
			},
			["The League of Arathor|A|6"] = {
			},
			["Silverwing Sentinels|A|4"] = {
			},
			["Stormpike Guard|A|2"] = {
			},
			["Warsong Outriders|H|3"] = {
			},
		},
		["Point"] = {
			["Champions' Hall|A|1"] = {
				["Cloth|1"] = {
					["1"] = "29002|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["2"] = "29001|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["3"] = "29003|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["4"] = "28981|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["5"] = "28980|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["6"] = "28982|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
				},
				["Leather|2"] = {
					["1"] = "28988|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["2"] = "28986|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["3"] = "28987|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["4"] = "28978|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["5"] = "28976|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["6"] = "28977|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["7"] = "29006|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["8"] = "29004|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["9"] = "29005|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["10"] = "31599|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["11"] = "31596|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["12"] = "31597|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
				},
				["Mail|3"] = {
					["1"] = "28973|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["2"] = "28974|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["3"] = "28975|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["4"] = "28989|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["5"] = "28990|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["6"] = "28991|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["7"] = "28992|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["8"] = "28993|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["9"] = "28994|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
				},
				["Plate|4"] = {
					["1"] = "28996|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["2"] = "28995|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["3"] = "28997|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["4"] = "28999|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["5"] = "28998|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["6"] = "29000|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["7"] = "28984|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["8"] = "28983|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["9"] = "28985|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
				},
				["Cloak|5"] = {
					["1"] = "28380|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
--					["2"] = "28387|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
				},
				["Trinket|6"] = {
					["1"] = "25829|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["2"] = "28235|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["3"] = "28234|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["4"] = "30348|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["5"] = "30349|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["6"] = "30350|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["7"] = "28238|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["8"] = "28236|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["9"] = "28237|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["10"] = "30351|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
				},
				["Weapon|7"] = {
					["1"] = "28953|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["2"] = "28947|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["3"] = "28950|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["4"] = "28951|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["5"] = "28954|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["6"] = "28955|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["7"] = "28944|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["8"] = "28946|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["9"] = "28952|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["10"] = "28952|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["11"] = "28956|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["12"] = "28948|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["13"] = "28942|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["14"] = "28943|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["15"] = "28949|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["16"] = "28945|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["17"] = "28959|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["18"] = "28960|"..L["PvP"].." "..L["Point"].." 30000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["19"] = "28940|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["20"] = "28941|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
				},
				["Priest"] = {
					["1"] = "28705|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28707|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28708|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28704|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28706|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["6"] = "31622|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["7"] = "31624|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["8"] = "31625|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["9"] = "31620|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["10"] = "31623|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Paladin"] = {
					["1"] = "28681|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28683|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28679|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28680|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28724|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["6"] = "28711|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["7"] = "28713|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["8"] = "28709|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["9"] = "28710|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["10"] = "28712|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["11"] = "31632|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["12"] = "31634|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["13"] = "31630|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["14"] = "31631|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["15"] = "31633|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Mage"] = {
					["1"] = "28715|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28714|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28717|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28716|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28718|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Warlock"] = {
					["1"] = "28625|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28627|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28628|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28624|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28626|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Druid"] = {
					["1"] = "31590|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "31592|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "31593|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "31589|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "31591|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["6"] = "28619|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["7"] = "28622|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["8"] = "28623|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["9"] = "28618|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["10"] = "28620|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["11"] = "28720|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["12"] = "28722|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["13"] = "28723|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["14"] = "28719|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["15"] = "28721|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Warrior"] = {
					["1"] = "28701|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28703|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28699|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28700|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28702|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Rogue"] = {
					["1"] = "28685|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28687|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28688|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28684|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28686|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Hunter"] = {
					["1"] = "28615|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28617|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28613|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28614|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28616|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Shaman"] = {
					["1"] = "31642|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "31644|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "31640|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "31641|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "31643|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["6"] = "28691|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["7"] = "28693|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["8"] = "28689|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["9"] = "28690|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["10"] = "28692|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["11"] = "28696|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["12"] = "28698|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["13"] = "28694|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["14"] = "28695|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["15"] = "28697|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},				
			},
			["Hall of Legends|H"] = {
				["Cloth|1"] = {
				},
				["Leather|2"] = {
				},
				["Mail|3"] = {
				},
				["Plate|4"] = {
				},
				["Cloak|5"] = {
				},
				["Trinket|6"] = {
				},
				["Weapon|7"] = {
				},
			},
		},
	},
	["Exchange|7"] = {
		["Shattrath City|1"] = {
                        ["G'eras|1"] = {
				["Neck|1"] = {
					["1"] = "29386|"..L["Badge of Justice"].." 25",
					["2"] = "29374|"..L["Badge of Justice"].." 25",
					["3"] = "29368|"..L["Badge of Justice"].." 25",
					["4"] = "29381|"..L["Badge of Justice"].." 25",
				},
				["Cloak|2"] = {
					["1"] = "29385|"..L["Badge of Justice"].." 25",
					["2"] = "29375|"..L["Badge of Justice"].." 25",
					["3"] = "29369|"..L["Badge of Justice"].." 25",
					["4"] = "29382|"..L["Badge of Justice"].." 25",
				},
				["Ring|3"] = {
					["1"] = "29384|"..L["Badge of Justice"].." 25",
					["2"] = "29373|"..L["Badge of Justice"].." 25",
					["3"] = "29367|"..L["Badge of Justice"].." 25",
					["4"] = "29379|"..L["Badge of Justice"].." 25",
				},
				["Trinket|4"] = {
					["1"] = "29387|"..L["Badge of Justice"].." 41",
					["2"] = "29376|"..L["Badge of Justice"].." 41",
					["3"] = "29370|"..L["Badge of Justice"].." 41",
					["4"] = "29383|"..L["Badge of Justice"].." 41",
				},
				["Off Hand"] = {
					["1"] = "29266|"..L["Badge of Justice"].." 33",
					["2"] = "29267|"..L["Badge of Justice"].." 33",
					["3"] = "29268|"..L["Badge of Justice"].." 33",
					["4"] = "29275|"..L["Badge of Justice"].." 25",
				},
				["Held in Off-Hand|5"] = {
					["1"] = "29274|"..L["Badge of Justice"].." 25",
					["2"] = "29271|"..L["Badge of Justice"].." 25",
					["3"] = "29272|"..L["Badge of Justice"].." 25",
					["4"] = "29269|"..L["Badge of Justice"].." 25",
					["5"] = "29273|"..L["Badge of Justice"].." 25",
					["6"] = "29270|"..L["Badge of Justice"].." 25",
				},
				["Relic"] = {
					["1"] = "29390|"..L["Badge of Justice"].." 15",
					["2"] = "29388|"..L["Badge of Justice"].." 15",
					["3"] = "29389|"..L["Badge of Justice"].." 15",
				},
				["Cloth|6"] = {
					["1"] = "30762|"..L["Badge of Justice"].." 30",
					["2"] = "30764|"..L["Badge of Justice"].." 20",
					["3"] = "30761|"..L["Badge of Justice"].." 30",
					["4"] = "30763|"..L["Badge of Justice"].." 20",
				},
				["Leather|7"] = {
					["1"] = "30776|"..L["Badge of Justice"].." 30",
					["2"] = "30780|"..L["Badge of Justice"].." 20",
					["3"] = "30778|"..L["Badge of Justice"].." 30",
					["4"] = "30779|"..L["Badge of Justice"].." 20",
				},
				["Mail|8"] = {
					["1"] = "30773|"..L["Badge of Justice"].." 30",
					["2"] = "30774|"..L["Badge of Justice"].." 20",
					["3"] = "30772|"..L["Badge of Justice"].." 30",
					["4"] = "30770|"..L["Badge of Justice"].." 20",
				},
				["Plate|9"] = {
					["1"] = "30769|"..L["Badge of Justice"].." 30",
					["2"] = "30767|"..L["Badge of Justice"].." 20",
					["3"] = "30766|"..L["Badge of Justice"].." 30",
					["4"] = "30768|"..L["Badge of Justice"].." 20",
				},
			},
		},
		["Allerian Stronghold|A|3"] = {
                        ["Spirit Sage Zran|1"] = {
				["Meta Gem|1"] = {
					["1"] = "28556|"..L["Spirit Shard"].." 8",
					["2"] = "28557|"..L["Spirit Shard"].." 8",
				},
				["Ring|2"] = {
					["1"] = "28553|"..L["Spirit Shard"].." 50",
					["2"] = "28555|"..L["Spirit Shard"].." 50",
				},
				["Head|3"] = {
					["1"] = "28759|"..L["Spirit Shard"].." 18",
					["2"] = "28760|"..L["Spirit Shard"].." 18",
					["3"] = "28561|"..L["Spirit Shard"].." 18",
					["4"] = "28574|"..L["Spirit Shard"].." 18",
					["5"] = "28575|"..L["Spirit Shard"].." 18",
					["6"] = "28576|"..L["Spirit Shard"].." 18",
					["7"] = "28577|"..L["Spirit Shard"].." 18",
					["8"] = "28758|"..L["Spirit Shard"].." 18",
					["9"] = "28559|"..L["Spirit Shard"].." 18",
					["10"] = "28560|"..L["Spirit Shard"].." 18",
					["11"] = "28761|"..L["Spirit Shard"].." 18",
				},
			},
		},
		["Stonebreaker Hold|H|2"] = {
                        ["Spirit Sage Gartok|1"] = {
				["Meta Gem|1"] = {
					["1"] = "28556|"..L["Spirit Shard"].." 8",
					["2"] = "28557|"..L["Spirit Shard"].." 8",
				},
				["Ring|2"] = {
					["1"] = "28553|"..L["Spirit Shard"].." 50",
					["2"] = "28555|"..L["Spirit Shard"].." 50",
				},
				["Head|3"] = {
					["1"] = "28759|"..L["Spirit Shard"].." 18",
					["2"] = "28760|"..L["Spirit Shard"].." 18",
					["3"] = "28561|"..L["Spirit Shard"].." 18",
					["4"] = "28574|"..L["Spirit Shard"].." 18",
					["5"] = "28575|"..L["Spirit Shard"].." 18",
					["6"] = "28576|"..L["Spirit Shard"].." 18",
					["7"] = "28577|"..L["Spirit Shard"].." 18",
					["8"] = "28758|"..L["Spirit Shard"].." 18",
					["9"] = "28559|"..L["Spirit Shard"].." 18",
					["10"] = "28560|"..L["Spirit Shard"].." 18",
					["11"] = "28761|"..L["Spirit Shard"].." 18",
				},
			},
		},
		["Halaa|4"] = {
			["Quartermaster Jaffrey Noreliqe|H|1"] ={
				["Cloth|1"] = {
					["1"] = "27638|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["2"] = "27649|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
				},
				["Leather|2"] = {
					["1"] = "27637|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["2"] = "27645|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["3"] = "27650|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
					["4"] = "27648|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
				},
				["Mail|3"] = {
					["1"] = "27646|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["2"] = "27643|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["3"] = "27647|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
					["4"] = "27652|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
				},
				["Plate|4"] = {
					["1"] = "27639|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["2"] = "27644|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["3"] = "27654|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
					["4"] = "27653|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
				},
				["Bag"] = {
					["1"] = "27680|"..L["Halaa Research Token"].." 8",
				},
				["Gem"] = {
					["1"] = "27679",
				},
			},
			["Quartermaster Davian Vaclav|A|2"] ={
				["Cloth|1"] = {
					["1"] = "27638|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["2"] = "27649|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
				},
				["Leather|2"] = {
					["1"] = "27637|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["2"] = "27645|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["3"] = "27650|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
					["4"] = "27648|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
				},
				["Mail|3"] = {
					["1"] = "27646|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["2"] = "27643|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["3"] = "27647|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
					["4"] = "27652|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
				},
				["Plate|4"] = {
					["1"] = "27639|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["2"] = "27644|"..L["Halaa Battle Token"].." 20/"..L["Halaa Research Token"].." 1",
					["3"] = "27654|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
					["4"] = "27653|"..L["Halaa Battle Token"].." 40/"..L["Halaa Research Token"].." 2",
				},
				["Bag"] = {
					["1"] = "27680|"..L["Halaa Research Token"].." 8",
				},
				["Gem"] = {
					["1"] = "27679",
				},
			},
			["Coreiel|H|3"] = {
				["Weapon|1"] = {
					["1"] = "30568",
					["2"] = "30570",
				},
				["Gem|2"] ={
					["1"] = "30598",
					["2"] = "30571",
				},
				["Mount|3"] = {
					["1"] = "28915|"..L["Halaa Battle Token"].." 70/"..L["Halaa Research Token"].." 15",
					["2"] = "29228|"..L["Halaa Battle Token"].." 100/"..L["Halaa Research Token"].." 20",
				},
			},
			["Aldraan|A|4"] = {
				["Weapon|1"] = {
					["1"] = "30599",
					["2"] = "30597",
				},
				["Gem|2"] ={
					["1"] = "30598",
					["2"] = "30571",
				},
				["Mount|3"] = {
					["1"] = "28915|"..L["Halaa Battle Token"].." 70/"..L["Halaa Research Token"].." 15",
					["2"] = "29228|"..L["Halaa Battle Token"].." 100/"..L["Halaa Research Token"].." 20",
				},
			},
			["Tasaldan|H|5"] = {
				["Arrow"] = {
					["1"] = "30611",
					["2"] = "30612",
				}
			},
			["Banro|A|6"] = {
				["Arrow"] = {
					["1"] = "30611",
					["2"] = "30612",
				}
			},
		},
		["Hellfire Peninsula"] = {
			["Battlecryer Blackeye|H|1"] = {
				["Ring"] = {
					["1"] = "27832|"..L["Mark of Thrallmar"].." 15",
					["2"] = "27830|"..L["Mark of Thrallmar"].." 15",
				},
				["Gem"] = {
					["1"] = "27786|"..L["Mark of Thrallmar"].." 10",
					["2"] = "28360|"..L["Mark of Thrallmar"].." 10",
					["3"] = "27785|"..L["Mark of Thrallmar"].." 10",
					["4"] = "27777|"..L["Mark of Thrallmar"].." 10",
				},
				["Use"] = {
					["1"] = "24522|"..L["Mark of Thrallmar"].." 5",
				},
			},
			["Warrant Officer Tracy Proudwell|A|2"] = {
				["Ring"] = {
					["1"] = "27833|"..L["Mark of Honor Hold"].." 15",
					["2"] = "27834|"..L["Mark of Honor Hold"].." 15",
				},
				["Gem"] = {
					["1"] = "27809|"..L["Mark of Honor Hold"].." 10",
					["2"] = "28361|"..L["Mark of Honor Hold"].." 10",
					["3"] = "27820|"..L["Mark of Honor Hold"].." 10",
					["4"] = "27812|"..L["Mark of Honor Hold"].." 10",
				},
				["Use"] = {
					["1"] = "24520|"..L["Mark of Honor Hold"].." 5",
				},
			},
		},
		["Zangarmarsh"] = {
			["Horde Field Scout|H|1"] = {
				["Relic"] = {
					["1"] = "27989|"..L["Mark of Thrallmar"].." 15", -- 성물
					["2"] = "27949|"..L["Mark of Thrallmar"].." 15", -- 성물
					["3"] = "27947|"..L["Mark of Thrallmar"].." 15", -- 성물
				},
				["Trinket"] = {
					["1"] = "27920|"..L["Mark of Thrallmar"].." 30", -- 장신구
					["2"] = "27924|"..L["Mark of Thrallmar"].." 30", -- 장신구
					["3"] = "27926|"..L["Mark of Thrallmar"].." 30", -- 장신구
				},
				["Weapon"] = {
					["1"] = "27939|"..L["Mark of Thrallmar"].." 15", -- 마법봉
					["2"] = "27930|"..L["Mark of Thrallmar"].." 15", -- 활
					["3"] = "27928|"..L["Mark of Thrallmar"].." 15", -- 투척무기
				},
			},
			["Alliance Field Scout|A|2"] = {
				["Relic"] ={
					["1"] = "27990|"..L["Mark of Honor Hold"].." 15", -- 성물
					["2"] = "27983|"..L["Mark of Honor Hold"].." 15", -- 성물
					["3"] = "27984|"..L["Mark of Honor Hold"].." 15", -- 성물
				},
				["Trinket"] ={
					["1"] = "27921|"..L["Mark of Honor Hold"].." 30", -- 장신구
					["2"] = "27922|"..L["Mark of Honor Hold"].." 30", -- 장신구
					["3"] = "27927|"..L["Mark of Honor Hold"].." 30", -- 장신구
				},
				["Weapon"] = {
					["1"] = "27942|"..L["Mark of Honor Hold"].." 15", -- 마법봉
					["2"] = "27931|"..L["Mark of Honor Hold"].." 15", -- 활
					["2"] = "27929|"..L["Mark of Honor Hold"].." 15", -- 투척무기
				},
			},
		},
	},
}

